case glow::Kinded::Kind::ConvolutionNodeKind: {
  auto *CN__ = cast<ConvolutionNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Filter = valueForNode(CN__->getFilter());
  auto *Bias = valueForNode(CN__->getBias());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createConvolutionInst(N->getName(), Dest__, Src, Filter, Bias, CN__->getKernels(), CN__->getStrides(), CN__->getPads(), CN__->getGroup(), CN__->getDilation(), CN__->getLayout(), CN__->getFusedActivation());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ChannelwiseQuantizedConvolutionNodeKind: {
  auto *CN__ = cast<ChannelwiseQuantizedConvolutionNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Filter = valueForNode(CN__->getFilter());
  auto *Bias = valueForNode(CN__->getBias());
  auto *FilterScales = valueForNode(CN__->getFilterScales());
  auto *FilterOffsets = valueForNode(CN__->getFilterOffsets());
  auto *BiasScales = valueForNode(CN__->getBiasScales());
  auto *BiasOffsets = valueForNode(CN__->getBiasOffsets());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createChannelwiseQuantizedConvolutionInst(N->getName(), Dest__, Src, Filter, Bias, FilterScales, FilterOffsets, BiasScales, BiasOffsets, CN__->getKernels(), CN__->getStrides(), CN__->getPads(), CN__->getGroup(), CN__->getDilation());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ConvTransposeNodeKind: {
  auto *CN__ = cast<ConvTransposeNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Filter = valueForNode(CN__->getFilter());
  auto *Bias = valueForNode(CN__->getBias());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createConvTransposeInst(N->getName(), Dest__, Src, Filter, Bias, CN__->getKernels(), CN__->getStrides(), CN__->getPads(), CN__->getGroup(), CN__->getDilation());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::Convolution3DNodeKind: {
  auto *CN__ = cast<Convolution3DNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Filter = valueForNode(CN__->getFilter());
  auto *Bias = valueForNode(CN__->getBias());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createConvolution3DInst(N->getName(), Dest__, Src, Filter, Bias, CN__->getKernels(), CN__->getStrides(), CN__->getPads(), CN__->getGroup());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::AvgPoolNodeKind: {
  auto *CN__ = cast<AvgPoolNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createAvgPoolInst(N->getName(), Dest__, Src, CN__->getKernels(), CN__->getStrides(), CN__->getPads(), CN__->getLayout());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ArgMaxNodeKind: {
  auto *CN__ = cast<ArgMaxNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createArgMaxInst(N->getName(), Dest__, Src, CN__->getAxis(), CN__->getKeepDims());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ArgMinNodeKind: {
  auto *CN__ = cast<ArgMinNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createArgMinInst(N->getName(), Dest__, Src, CN__->getAxis(), CN__->getKeepDims());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::AdaptiveAvgPoolNodeKind: {
  auto *CN__ = cast<AdaptiveAvgPoolNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createAdaptiveAvgPoolInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::FullyConnectedNodeKind: {
  auto *CN__ = cast<FullyConnectedNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Bias = valueForNode(CN__->getBias());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createFullyConnectedInst(N->getName(), Dest__, Src, Weights, Bias);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::RowwiseQuantizedFullyConnectedNodeKind: {
  auto *CN__ = cast<RowwiseQuantizedFullyConnectedNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Bias = valueForNode(CN__->getBias());
  auto *Scales = valueForNode(CN__->getScales());
  auto *Offsets = valueForNode(CN__->getOffsets());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createRowwiseQuantizedFullyConnectedInst(N->getName(), Dest__, Src, Weights, Bias, Scales, Offsets);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SoftMaxNodeKind: {
  auto *CN__ = cast<SoftMaxNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSoftMaxInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::MatMulNodeKind: {
  auto *CN__ = cast<MatMulNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createMatMulInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::BatchMatMulNodeKind: {
  auto *CN__ = cast<BatchMatMulNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createBatchMatMulInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::BatchedReduceAddNodeKind: {
  auto *CN__ = cast<BatchedReduceAddNode>(N);
  auto *Batch = valueForNode(CN__->getBatch());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createBatchedReduceAddInst(N->getName(), Dest__, Batch, CN__->getAxis());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::BatchedReduceMinNodeKind: {
  auto *CN__ = cast<BatchedReduceMinNode>(N);
  auto *Batch = valueForNode(CN__->getBatch());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createBatchedReduceMinInst(N->getName(), Dest__, Batch, CN__->getAxes());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CumSumNodeKind: {
  auto *CN__ = cast<CumSumNode>(N);
  auto *Input = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createCumSumInst(N->getName(), Dest__, Input, CN__->getExclusive(), CN__->getReverse());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::LengthsSumNodeKind: {
  auto *CN__ = cast<LengthsSumNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createLengthsSumInst(N->getName(), Dest__, Data, Lengths);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SparseLengthsSumNodeKind: {
  auto *CN__ = cast<SparseLengthsSumNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSparseLengthsSumInst(N->getName(), Dest__, Data, Indices, Lengths, CN__->getLengthsMode(), CN__->getAvgLength());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SparseLengthsWeightedSumNodeKind: {
  auto *CN__ = cast<SparseLengthsWeightedSumNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSparseLengthsWeightedSumInst(N->getName(), Dest__, Data, Weights, Indices, Lengths, CN__->getLengthsMode(), CN__->getAvgLength());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::EmbeddingBagNodeKind: {
  auto *CN__ = cast<EmbeddingBagNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Offsets = valueForNode(CN__->getOffsets());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createEmbeddingBagInst(N->getName(), Dest__, Data, Weights, Indices, Offsets, CN__->getHasEndOffset(), CN__->getLengthsMode(), CN__->getAvgLength());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::RowwiseQuantizedSparseLengthsWeightedSumNodeKind: {
  auto *CN__ = cast<RowwiseQuantizedSparseLengthsWeightedSumNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Scales = valueForNode(CN__->getScales());
  auto *Offsets = valueForNode(CN__->getOffsets());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createRowwiseQuantizedSparseLengthsWeightedSumInst(N->getName(), Dest__, Data, Scales, Offsets, Weights, Indices, Lengths, CN__->getUseFP16Accumulation(), CN__->getLengthsMode(), CN__->getAvgLength());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::FusedRowwiseQuantizedSparseLengthsWeightedSumNodeKind: {
  auto *CN__ = cast<FusedRowwiseQuantizedSparseLengthsWeightedSumNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createFusedRowwiseQuantizedSparseLengthsWeightedSumInst(N->getName(), Dest__, Data, Weights, Indices, Lengths, CN__->getUseFP16Accumulation(), CN__->getLengthsMode(), CN__->getAvgLength());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::EmbeddingBagByteRowwiseOffsetsNodeKind: {
  auto *CN__ = cast<EmbeddingBagByteRowwiseOffsetsNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Weights = valueForNode(CN__->getWeights());
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Offsets = valueForNode(CN__->getOffsets());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createEmbeddingBagByteRowwiseOffsetsInst(N->getName(), Dest__, Data, Weights, Indices, Offsets, CN__->getUseFP16Accumulation(), CN__->getHasEndOffset(), CN__->getLengthsMode(), CN__->getAvgLength());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::LengthsToRangesNodeKind: {
  auto *CN__ = cast<LengthsToRangesNode>(N);
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createLengthsToRangesInst(N->getName(), Dest__, Lengths);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::LengthsRangeFillNodeKind: {
  auto *CN__ = cast<LengthsRangeFillNode>(N);
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createLengthsRangeFillInst(N->getName(), Dest__, Lengths);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SparseToDenseNodeKind: {
  auto *CN__ = cast<SparseToDenseNode>(N);
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Values = valueForNode(CN__->getValues());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSparseToDenseInst(N->getName(), Dest__, Indices, Values);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SparseToDenseMaskNodeKind: {
  auto *CN__ = cast<SparseToDenseMaskNode>(N);
  auto *Indices = valueForNode(CN__->getIndices());
  auto *Values = valueForNode(CN__->getValues());
  auto *DefaultValue = valueForNode(CN__->getDefaultValue());
  auto *Lengths = valueForNode(CN__->getLengths());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSparseToDenseMaskInst(N->getName(), Dest__, Indices, Values, DefaultValue, Lengths, CN__->getMask());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::BatchedAddNodeKind: {
  auto *CN__ = cast<BatchedAddNode>(N);
  auto *Batch = valueForNode(CN__->getBatch());
  auto *Slice = valueForNode(CN__->getSlice());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createBatchedAddInst(N->getName(), Dest__, Batch, Slice);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::AddNodeKind: {
  auto *CN__ = cast<AddNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementAddInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SubNodeKind: {
  auto *CN__ = cast<SubNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementSubInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::MulNodeKind: {
  auto *CN__ = cast<MulNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementMulInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::DivNodeKind: {
  auto *CN__ = cast<DivNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementDivInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::MaxNodeKind: {
  auto *CN__ = cast<MaxNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementMaxInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::MinNodeKind: {
  auto *CN__ = cast<MinNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementMinInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CmpEQNodeKind: {
  auto *CN__ = cast<CmpEQNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementCmpEQInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CmpNEQNodeKind: {
  auto *CN__ = cast<CmpNEQNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementCmpNEQInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CmpLTNodeKind: {
  auto *CN__ = cast<CmpLTNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementCmpLTInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CmpLTENodeKind: {
  auto *CN__ = cast<CmpLTENode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementCmpLTEInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::IsNaNNodeKind: {
  auto *CN__ = cast<IsNaNNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementIsNaNInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::PowNodeKind: {
  auto *CN__ = cast<PowNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementPowInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::AndNodeKind: {
  auto *CN__ = cast<AndNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementAndInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::OrNodeKind: {
  auto *CN__ = cast<OrNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementOrInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::XorNodeKind: {
  auto *CN__ = cast<XorNode>(N);
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementXorInst(N->getName(), Dest__, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::NotNodeKind: {
  auto *CN__ = cast<NotNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementNotInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::NegNodeKind: {
  auto *CN__ = cast<NegNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementNegInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::AbsNodeKind: {
  auto *CN__ = cast<AbsNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementAbsInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::FloorNodeKind: {
  auto *CN__ = cast<FloorNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementFloorInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CeilNodeKind: {
  auto *CN__ = cast<CeilNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementCeilInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::RoundNodeKind: {
  auto *CN__ = cast<RoundNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementRoundInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SqrtNodeKind: {
  auto *CN__ = cast<SqrtNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementSqrtInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::RsqrtNodeKind: {
  auto *CN__ = cast<RsqrtNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementRsqrtInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ReciprocalNodeKind: {
  auto *CN__ = cast<ReciprocalNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementReciprocalInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SinNodeKind: {
  auto *CN__ = cast<SinNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementSinInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CosNodeKind: {
  auto *CN__ = cast<CosNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementCosInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::LogNodeKind: {
  auto *CN__ = cast<LogNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementLogInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ExpNodeKind: {
  auto *CN__ = cast<ExpNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementExpInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SelectNodeKind: {
  auto *CN__ = cast<SelectNode>(N);
  auto *Cond = valueForNode(CN__->getCond());
  auto *LHS = valueForNode(CN__->getLHS());
  auto *RHS = valueForNode(CN__->getRHS());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createElementSelectInst(N->getName(), Dest__, Cond, LHS, RHS);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ModuloNodeKind: {
  auto *CN__ = cast<ModuloNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createModuloInst(N->getName(), Dest__, Src, CN__->getDivisor(), CN__->getSignFollowDivisor());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ReluNodeKind: {
  auto *CN__ = cast<ReluNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createReluInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ClipNodeKind: {
  auto *CN__ = cast<ClipNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createClipInst(N->getName(), Dest__, Src, CN__->getMin(), CN__->getMax());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SigmoidNodeKind: {
  auto *CN__ = cast<SigmoidNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSigmoidInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::TanhNodeKind: {
  auto *CN__ = cast<TanhNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createTanhInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::TransposeNodeKind: {
  auto *CN__ = cast<TransposeNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createTransposeInst(N->getName(), Dest__, Src, CN__->getShuffle());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SplatNodeKind: {
  auto *CN__ = cast<SplatNode>(N);
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSplatInst(N->getName(), Dest__, CN__->getValue());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::TouchNodeKind: {
  auto *CN__ = cast<TouchNode>(N);
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createTouchInst(N->getName(), Dest__);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::GatherNodeKind: {
  auto *CN__ = cast<GatherNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Indices = valueForNode(CN__->getIndices());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createGatherInst(N->getName(), Dest__, Data, Indices, CN__->getBatchDims());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::GatherRangesNodeKind: {
  auto *CN__ = cast<GatherRangesNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Ranges = valueForNode(CN__->getRanges());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Output__ = builder_.createAllocActivationInst(allocName,CN__->getOutput().getType());
  auto *Lengths__ = builder_.createAllocActivationInst(allocName,CN__->getLengths().getType());
  auto *V = builder_.createGatherRangesInst(N->getName(), Output__, Lengths__, Data, Ranges);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getOutput(), V->getOutput());
  registerIR(CN__->getLengths(), V->getLengths());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::BatchOneHotNodeKind: {
  auto *CN__ = cast<BatchOneHotNode>(N);
  auto *Data = valueForNode(CN__->getData());
  auto *Lengths = valueForNode(CN__->getLengths());
  auto *Values = valueForNode(CN__->getValues());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createBatchOneHotInst(N->getName(), Dest__, Data, Lengths, Values);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::SpaceToDepthNodeKind: {
  auto *CN__ = cast<SpaceToDepthNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createSpaceToDepthInst(N->getName(), Dest__, Src, CN__->getBlockSize());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ResizeNearestNodeKind: {
  auto *CN__ = cast<ResizeNearestNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createResizeNearestInst(N->getName(), Dest__, Src, CN__->getScale());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ResizeBilinearNodeKind: {
  auto *CN__ = cast<ResizeBilinearNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createResizeBilinearInst(N->getName(), Dest__, Src, CN__->getScale());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::FlipNodeKind: {
  auto *CN__ = cast<FlipNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createFlipInst(N->getName(), Dest__, Src, CN__->getAxis());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::IntLookupTableNodeKind: {
  auto *CN__ = cast<IntLookupTableNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Mapping = valueForNode(CN__->getMapping());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createIntLookupTableInst(N->getName(), Dest__, Src, Mapping);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::QuantizeNodeKind: {
  auto *CN__ = cast<QuantizeNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createQuantizeInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::DequantizeNodeKind: {
  auto *CN__ = cast<DequantizeNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createDequantizeInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::RescaleQuantizedNodeKind: {
  auto *CN__ = cast<RescaleQuantizedNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createRescaleQuantizedInst(N->getName(), Dest__, Src);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::ConvertToNodeKind: {
  auto *CN__ = cast<ConvertToNode>(N);
  auto *Input = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Result__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createConvertToInst(N->getName(), Result__, Input);
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getResult());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::AudioSpectrogramNodeKind: {
  auto *CN__ = cast<AudioSpectrogramNode>(N);
  auto *Input = valueForNode(CN__->getInput());
  auto *Window = valueForNode(CN__->getWindow());
  auto *TwiddleFactors = valueForNode(CN__->getTwiddleFactors());
  auto *BitReverseIndices = valueForNode(CN__->getBitReverseIndices());
  auto *ComplexToRealWeights = valueForNode(CN__->getComplexToRealWeights());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Spectrogram__ = builder_.createAllocActivationInst(allocName,CN__->getSpectrogram().getType());
  auto *V = builder_.createAudioSpectrogramInst(N->getName(), Spectrogram__, Input, Window, TwiddleFactors, BitReverseIndices, ComplexToRealWeights, CN__->getWindowSize(), CN__->getWindowStride(), CN__->getMagnitudeSquared());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getSpectrogram(), V->getSpectrogram());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::MFCCNodeKind: {
  auto *CN__ = cast<MFCCNode>(N);
  auto *Spectrogram = valueForNode(CN__->getSpectrogram());
  auto *MelWeights = valueForNode(CN__->getMelWeights());
  auto *MelRanges = valueForNode(CN__->getMelRanges());
  auto *DctMat = valueForNode(CN__->getDctMat());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Coefficients__ = builder_.createAllocActivationInst(allocName,CN__->getCoefficients().getType());
  auto *V = builder_.createMFCCInst(N->getName(), Coefficients__, Spectrogram, MelWeights, MelRanges, DctMat, CN__->getSampleRate(), CN__->getLowerFrequency(), CN__->getUpperFrequency(), CN__->getFilterBankCount(), CN__->getNumCoefficients());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getCoefficients(), V->getCoefficients());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::NonMaxSuppressionNodeKind: {
  auto *CN__ = cast<NonMaxSuppressionNode>(N);
  auto *Boxes = valueForNode(CN__->getBoxes());
  auto *Scores = valueForNode(CN__->getScores());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Indices__ = builder_.createAllocActivationInst(allocName,CN__->getIndices().getType());
  auto *NumberOfSelectedIndices__ = builder_.createAllocActivationInst(allocName,CN__->getNumberOfSelectedIndices().getType());
  auto *V = builder_.createNonMaxSuppressionInst(N->getName(), Indices__, NumberOfSelectedIndices__, Boxes, Scores, CN__->getCenterPointBox(), CN__->getMaxOutputBoxesPerClass(), CN__->getIouThreshold(), CN__->getScoreThreshold(), CN__->getIsTFVersion4());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getIndices(), V->getIndices());
  registerIR(CN__->getNumberOfSelectedIndices(), V->getNumberOfSelectedIndices());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CPUMaxSplatNodeKind: {
  auto *CN__ = cast<CPUMaxSplatNode>(N);
  auto *Src = valueForNode(CN__->getInput());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createCPUMaxSplatInst(N->getName(), Dest__, Src, CN__->getSplatValue());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
case glow::Kinded::Kind::CPUConvDKKC8NodeKind: {
  auto *CN__ = cast<CPUConvDKKC8Node>(N);
  auto *Src = valueForNode(CN__->getInput());
  auto *Filter = valueForNode(CN__->getFilter());
  auto *Bias = valueForNode(CN__->getBias());
  std::string allocName = std::string(N->getName()) + ".res";
  auto *Dest__ = builder_.createAllocActivationInst(allocName,CN__->getResult().getType());
  auto *V = builder_.createCPUConvDKKC8Inst(N->getName(), Dest__, Src, Filter, Bias, CN__->getKernels(), CN__->getStrides(), CN__->getPads(), CN__->getGroup());
  if (N->hasPredicate()) { V->setPredicate(valueForNode(N->getPredicate())); }
  registerIR(CN__->getResult(), V->getDest());
  nodeToInstr_[N] = V;
  break;
}
