case glow::Kinded::Kind::PadNodeKind: {
  auto *N__ = llvm::cast<PadNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Pad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PadNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PadNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Mode", N__->getMode());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Value", N__->getValue());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ConvolutionGradNodeKind: {
  auto *N__ = llvm::cast<ConvolutionGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ConvolutionGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::BiasIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::GradOfInputNamedFilterIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionGradNode::GradOfInputNamedBiasIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  addValueAttribute(opProto, "Dilation", N__->getDilation());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  addValueAttribute(opProto, "FusedActivation", N__->getFusedActivation());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ConvolutionNodeKind: {
  auto *N__ = llvm::cast<ConvolutionNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Convolution");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionNode::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionNode::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvolutionNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  addValueAttribute(opProto, "Dilation", N__->getDilation());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  addValueAttribute(opProto, "FusedActivation", N__->getFusedActivation());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ChannelwiseQuantizedConvolutionNodeKind: {
  auto *N__ = llvm::cast<ChannelwiseQuantizedConvolutionNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ChannelwiseQuantizedConvolution");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::BiasIdx, /* isInput */ true);
  opProto->add_input(N__->getFilterScales().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::FilterScalesIdx, /* isInput */ true);
  opProto->add_input(N__->getFilterOffsets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::FilterOffsetsIdx, /* isInput */ true);
  opProto->add_input(N__->getBiasScales().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::BiasScalesIdx, /* isInput */ true);
  opProto->add_input(N__->getBiasOffsets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::BiasOffsetsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelwiseQuantizedConvolutionNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  addValueAttribute(opProto, "Dilation", N__->getDilation());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ConvTransposeNodeKind: {
  auto *N__ = llvm::cast<ConvTransposeNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ConvTranspose");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvTransposeNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvTransposeNode::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvTransposeNode::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvTransposeNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  addValueAttribute(opProto, "Dilation", N__->getDilation());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::Convolution3DGradNodeKind: {
  auto *N__ = llvm::cast<Convolution3DGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Convolution3DGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::BiasIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::GradOfInputNamedFilterIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DGradNode::GradOfInputNamedBiasIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::Convolution3DNodeKind: {
  auto *N__ = llvm::cast<Convolution3DNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Convolution3D");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DNode::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DNode::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, Convolution3DNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MaxPoolGradNodeKind: {
  auto *N__ = llvm::cast<MaxPoolGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_MaxPoolGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForArgmax().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolGradNode::OriginalOutputForArgmaxIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedArgmax().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolGradNode::GradOfOriginalOutputNamedArgmaxIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MaxPoolNodeKind: {
  auto *N__ = llvm::cast<MaxPoolNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_MaxPool");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolNode::ResultIdx, /* isInput */ false);
  opProto->add_output(N__->getArgmax().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxPoolNode::ArgmaxIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ArgMaxNodeKind: {
  auto *N__ = llvm::cast<ArgMaxNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ArgMax");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ArgMaxNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ArgMaxNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Axis", N__->getAxis());
  addValueAttribute(opProto, "KeepDims", N__->getKeepDims());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ArgMinNodeKind: {
  auto *N__ = llvm::cast<ArgMinNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ArgMin");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ArgMinNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ArgMinNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Axis", N__->getAxis());
  addValueAttribute(opProto, "KeepDims", N__->getKeepDims());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AvgPoolGradNodeKind: {
  auto *N__ = llvm::cast<AvgPoolGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_AvgPoolGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AvgPoolGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AvgPoolGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AvgPoolGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AvgPoolGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AvgPoolNodeKind: {
  auto *N__ = llvm::cast<AvgPoolNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_AvgPool");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AvgPoolNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AvgPoolNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AdaptiveAvgPoolGradNodeKind: {
  auto *N__ = llvm::cast<AdaptiveAvgPoolGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_AdaptiveAvgPoolGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AdaptiveAvgPoolGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AdaptiveAvgPoolGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AdaptiveAvgPoolGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AdaptiveAvgPoolGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AdaptiveAvgPoolNodeKind: {
  auto *N__ = llvm::cast<AdaptiveAvgPoolNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_AdaptiveAvgPool");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AdaptiveAvgPoolNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AdaptiveAvgPoolNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::GemmNodeKind: {
  auto *N__ = llvm::cast<GemmNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Gemm");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getA().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GemmNode::AIdx, /* isInput */ true);
  opProto->add_input(N__->getB().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GemmNode::BIdx, /* isInput */ true);
  opProto->add_input(N__->getC().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GemmNode::CIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GemmNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Alpha", N__->getAlpha());
  addValueAttribute(opProto, "Beta", N__->getBeta());
  addValueAttribute(opProto, "TransposeA", N__->getTransposeA());
  addValueAttribute(opProto, "TransposeB", N__->getTransposeB());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::FullyConnectedGradNodeKind: {
  auto *N__ = llvm::cast<FullyConnectedGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_FullyConnectedGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::BiasIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::GradOfInputNamedWeightsIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedGradNode::GradOfInputNamedBiasIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::FullyConnectedNodeKind: {
  auto *N__ = llvm::cast<FullyConnectedNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_FullyConnected");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedNode::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FullyConnectedNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RowwiseQuantizedFullyConnectedNodeKind: {
  auto *N__ = llvm::cast<RowwiseQuantizedFullyConnectedNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_RowwiseQuantizedFullyConnected");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedFullyConnectedNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedFullyConnectedNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getScales().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedFullyConnectedNode::ScalesIdx, /* isInput */ true);
  opProto->add_input(N__->getOffsets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedFullyConnectedNode::OffsetsIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedFullyConnectedNode::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedFullyConnectedNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchNormalizationGradNodeKind: {
  auto *N__ = llvm::cast<BatchNormalizationGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchNormalizationGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getScale().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::ScaleIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::BiasIdx, /* isInput */ true);
  opProto->add_input(N__->getMean().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::MeanIdx, /* isInput */ true);
  opProto->add_input(N__->getVar().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::VarIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedScale().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::GradOfInputNamedScaleIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::GradOfInputNamedBiasIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedMean().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::GradOfInputNamedMeanIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedVar().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationGradNode::GradOfInputNamedVarIdx, /* isInput */ false);
  addValueAttribute(opProto, "ChannelIdx", N__->getChannelIdx());
  addValueAttribute(opProto, "Epsilon", N__->getEpsilon());
  addValueAttribute(opProto, "Momentum", N__->getMomentum());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchNormalizationNodeKind: {
  auto *N__ = llvm::cast<BatchNormalizationNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchNormalization");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getScale().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationNode::ScaleIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationNode::BiasIdx, /* isInput */ true);
  opProto->add_input(N__->getMean().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationNode::MeanIdx, /* isInput */ true);
  opProto->add_input(N__->getVar().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationNode::VarIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchNormalizationNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "ChannelIdx", N__->getChannelIdx());
  addValueAttribute(opProto, "Epsilon", N__->getEpsilon());
  addValueAttribute(opProto, "Momentum", N__->getMomentum());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MeanVarNormalizationNodeKind: {
  auto *N__ = llvm::cast<MeanVarNormalizationNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_MeanVarNormalization");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MeanVarNormalizationNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getMean().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MeanVarNormalizationNode::MeanIdx, /* isInput */ true);
  opProto->add_input(N__->getVar().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MeanVarNormalizationNode::VarIdx, /* isInput */ true);
  opProto->add_output(N__->getNewMean().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MeanVarNormalizationNode::NewMeanIdx, /* isInput */ false);
  opProto->add_output(N__->getNewVar().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MeanVarNormalizationNode::NewVarIdx, /* isInput */ false);
  addValueAttribute(opProto, "ChannelIdx", N__->getChannelIdx());
  addValueAttribute(opProto, "Momentum", N__->getMomentum());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LocalResponseNormalizationGradNodeKind: {
  auto *N__ = llvm::cast<LocalResponseNormalizationGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_LocalResponseNormalizationGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LocalResponseNormalizationGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LocalResponseNormalizationGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LocalResponseNormalizationGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LocalResponseNormalizationGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  addValueAttribute(opProto, "HalfWindowSize", N__->getHalfWindowSize());
  addValueAttribute(opProto, "Alpha", N__->getAlpha());
  addValueAttribute(opProto, "Beta", N__->getBeta());
  addValueAttribute(opProto, "K", N__->getK());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LocalResponseNormalizationNodeKind: {
  auto *N__ = llvm::cast<LocalResponseNormalizationNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_LocalResponseNormalization");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LocalResponseNormalizationNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LocalResponseNormalizationNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "HalfWindowSize", N__->getHalfWindowSize());
  addValueAttribute(opProto, "Alpha", N__->getAlpha());
  addValueAttribute(opProto, "Beta", N__->getBeta());
  addValueAttribute(opProto, "K", N__->getK());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LayerNormalizationNodeKind: {
  auto *N__ = llvm::cast<LayerNormalizationNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_LayerNormalization");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LayerNormalizationNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getScale().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LayerNormalizationNode::ScaleIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LayerNormalizationNode::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LayerNormalizationNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Epsilon", N__->getEpsilon());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchBoxCoxNodeKind: {
  auto *N__ = llvm::cast<BatchBoxCoxNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchBoxCox");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchBoxCoxNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getLambda1().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchBoxCoxNode::Lambda1Idx, /* isInput */ true);
  opProto->add_input(N__->getLambda2().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchBoxCoxNode::Lambda2Idx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchBoxCoxNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Epsilon", N__->getEpsilon());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BucketizeNodeKind: {
  auto *N__ = llvm::cast<BucketizeNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Bucketize");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BucketizeNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BucketizeNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Boundaries", N__->getBoundaries());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SoftMaxGradNodeKind: {
  auto *N__ = llvm::cast<SoftMaxGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SoftMaxGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getSelected().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxGradNode::SelectedIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedSelected().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxGradNode::GradOfInputNamedSelectedIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SoftMaxNodeKind: {
  auto *N__ = llvm::cast<SoftMaxNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SoftMax");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getSelected().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxNode::SelectedIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SoftMaxNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CrossEntropyLossGradNodeKind: {
  auto *N__ = llvm::cast<CrossEntropyLossGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CrossEntropyLossGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getP().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossGradNode::PIdx, /* isInput */ true);
  opProto->add_input(N__->getLabels().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossGradNode::LabelsIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForCE().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossGradNode::OriginalOutputForCEIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedCE().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossGradNode::GradOfOriginalOutputNamedCEIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedP().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossGradNode::GradOfInputNamedPIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedLabels().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossGradNode::GradOfInputNamedLabelsIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CrossEntropyLossNodeKind: {
  auto *N__ = llvm::cast<CrossEntropyLossNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CrossEntropyLoss");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getP().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossNode::PIdx, /* isInput */ true);
  opProto->add_input(N__->getLabels().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossNode::LabelsIdx, /* isInput */ true);
  opProto->add_output(N__->getCE().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CrossEntropyLossNode::CEIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RegressionGradNodeKind: {
  auto *N__ = llvm::cast<RegressionGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_RegressionGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getExpected().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionGradNode::ExpectedIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedExpected().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionGradNode::GradOfInputNamedExpectedIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RegressionNodeKind: {
  auto *N__ = llvm::cast<RegressionNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Regression");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getExpected().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionNode::ExpectedIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RegressionNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SigmoidCrossEntropyWithLogitsNodeKind: {
  auto *N__ = llvm::cast<SigmoidCrossEntropyWithLogitsNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SigmoidCrossEntropyWithLogits");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLogits().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidCrossEntropyWithLogitsNode::LogitsIdx, /* isInput */ true);
  opProto->add_input(N__->getTargets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidCrossEntropyWithLogitsNode::TargetsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidCrossEntropyWithLogitsNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AddGradNodeKind: {
  auto *N__ = llvm::cast<AddGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_AddGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddGradNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddGradNode::RHSIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddGradNode::GradOfInputNamedLHSIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddGradNode::GradOfInputNamedRHSIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AddNodeKind: {
  auto *N__ = llvm::cast<AddNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Add");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AddNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MulGradNodeKind: {
  auto *N__ = llvm::cast<MulGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_MulGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulGradNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulGradNode::RHSIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulGradNode::GradOfInputNamedLHSIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulGradNode::GradOfInputNamedRHSIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MulNodeKind: {
  auto *N__ = llvm::cast<MulNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Mul");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MulNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SubGradNodeKind: {
  auto *N__ = llvm::cast<SubGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SubGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubGradNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubGradNode::RHSIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubGradNode::GradOfInputNamedLHSIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubGradNode::GradOfInputNamedRHSIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SubNodeKind: {
  auto *N__ = llvm::cast<SubNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Sub");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SubNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::DivGradNodeKind: {
  auto *N__ = llvm::cast<DivGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_DivGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivGradNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivGradNode::RHSIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivGradNode::GradOfInputNamedLHSIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivGradNode::GradOfInputNamedRHSIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::DivNodeKind: {
  auto *N__ = llvm::cast<DivNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Div");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DivNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MaxNodeKind: {
  auto *N__ = llvm::cast<MaxNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Max");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MaxNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MinNodeKind: {
  auto *N__ = llvm::cast<MinNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Min");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MinNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MinNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MinNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CmpEQNodeKind: {
  auto *N__ = llvm::cast<CmpEQNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CmpEQ");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpEQNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpEQNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpEQNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CmpNEQNodeKind: {
  auto *N__ = llvm::cast<CmpNEQNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CmpNEQ");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpNEQNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpNEQNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpNEQNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CmpLTNodeKind: {
  auto *N__ = llvm::cast<CmpLTNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CmpLT");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpLTNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpLTNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpLTNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CmpLTENodeKind: {
  auto *N__ = llvm::cast<CmpLTENode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CmpLTE");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpLTENode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpLTENode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CmpLTENode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::PowNodeKind: {
  auto *N__ = llvm::cast<PowNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Pow");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PowNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PowNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PowNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AndNodeKind: {
  auto *N__ = llvm::cast<AndNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_And");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AndNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AndNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AndNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::OrNodeKind: {
  auto *N__ = llvm::cast<OrNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Or");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, OrNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, OrNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, OrNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::XorNodeKind: {
  auto *N__ = llvm::cast<XorNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Xor");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, XorNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, XorNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, XorNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::NotNodeKind: {
  auto *N__ = llvm::cast<NotNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Not");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NotNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NotNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::NegNodeKind: {
  auto *N__ = llvm::cast<NegNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Neg");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NegNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NegNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AbsNodeKind: {
  auto *N__ = llvm::cast<AbsNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Abs");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AbsNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AbsNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::FloorNodeKind: {
  auto *N__ = llvm::cast<FloorNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Floor");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FloorNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FloorNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CeilNodeKind: {
  auto *N__ = llvm::cast<CeilNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Ceil");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CeilNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CeilNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RoundNodeKind: {
  auto *N__ = llvm::cast<RoundNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Round");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RoundNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RoundNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SqrtNodeKind: {
  auto *N__ = llvm::cast<SqrtNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Sqrt");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SqrtNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SqrtNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RsqrtNodeKind: {
  auto *N__ = llvm::cast<RsqrtNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Rsqrt");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RsqrtNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RsqrtNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ReciprocalNodeKind: {
  auto *N__ = llvm::cast<ReciprocalNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Reciprocal");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReciprocalNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReciprocalNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SinNodeKind: {
  auto *N__ = llvm::cast<SinNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Sin");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SinNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SinNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CosNodeKind: {
  auto *N__ = llvm::cast<CosNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Cos");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CosNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CosNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LogNodeKind: {
  auto *N__ = llvm::cast<LogNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Log");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LogNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LogNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ExpNodeKind: {
  auto *N__ = llvm::cast<ExpNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Exp");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ExpNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ExpNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LogitNodeKind: {
  auto *N__ = llvm::cast<LogitNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Logit");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LogitNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LogitNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Epsilon", N__->getEpsilon());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SelectNodeKind: {
  auto *N__ = llvm::cast<SelectNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Select");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getCond().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SelectNode::CondIdx, /* isInput */ true);
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SelectNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SelectNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SelectNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchedAddNodeKind: {
  auto *N__ = llvm::cast<BatchedAddNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchedAdd");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getBatch().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedAddNode::BatchIdx, /* isInput */ true);
  opProto->add_input(N__->getSlice().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedAddNode::SliceIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedAddNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MatMulNodeKind: {
  auto *N__ = llvm::cast<MatMulNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_MatMul");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MatMulNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MatMulNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MatMulNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchMatMulNodeKind: {
  auto *N__ = llvm::cast<BatchMatMulNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchMatMul");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchMatMulNode::LHSIdx, /* isInput */ true);
  opProto->add_input(N__->getRHS().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchMatMulNode::RHSIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchMatMulNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchedReduceAddNodeKind: {
  auto *N__ = llvm::cast<BatchedReduceAddNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchedReduceAdd");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getBatch().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedReduceAddNode::BatchIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedReduceAddNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Axis", N__->getAxis());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchedReduceMeanNodeKind: {
  auto *N__ = llvm::cast<BatchedReduceMeanNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchedReduceMean");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getBatch().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedReduceMeanNode::BatchIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedReduceMeanNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Axes", N__->getAxes());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchedReduceMinNodeKind: {
  auto *N__ = llvm::cast<BatchedReduceMinNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchedReduceMin");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getBatch().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedReduceMinNode::BatchIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedReduceMinNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Axes", N__->getAxes());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ChannelShuffleNodeKind: {
  auto *N__ = llvm::cast<ChannelShuffleNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ChannelShuffle");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelShuffleNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ChannelShuffleNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Group", N__->getGroup());
  addValueAttribute(opProto, "Kernel", N__->getKernel());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CumSumNodeKind: {
  auto *N__ = llvm::cast<CumSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CumSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CumSumNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CumSumNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Exclusive", N__->getExclusive());
  addValueAttribute(opProto, "Reverse", N__->getReverse());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LengthsSumNodeKind: {
  auto *N__ = llvm::cast<LengthsSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_LengthsSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsSumNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsSumNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsSumNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SparseLengthsSumGradNodeKind: {
  auto *N__ = llvm::cast<SparseLengthsSumGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SparseLengthsSumGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::LengthsIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::GradOfInputNamedDataIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::GradOfInputNamedIndicesIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumGradNode::GradOfInputNamedLengthsIdx, /* isInput */ false);
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SparseLengthsSumNodeKind: {
  auto *N__ = llvm::cast<SparseLengthsSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SparseLengthsSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsSumNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SparseLengthsWeightedSumGradNodeKind: {
  auto *N__ = llvm::cast<SparseLengthsWeightedSumGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SparseLengthsWeightedSumGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::LengthsIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::GradOfInputNamedDataIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::GradOfInputNamedWeightsIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::GradOfInputNamedIndicesIdx, /* isInput */ false);
  opProto->add_output(N__->getGradOfInputNamedLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumGradNode::GradOfInputNamedLengthsIdx, /* isInput */ false);
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SparseLengthsWeightedSumNodeKind: {
  auto *N__ = llvm::cast<SparseLengthsWeightedSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SparseLengthsWeightedSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseLengthsWeightedSumNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::EmbeddingBagNodeKind: {
  auto *N__ = llvm::cast<EmbeddingBagNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_EmbeddingBag");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getOffsets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagNode::OffsetsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "HasEndOffset", N__->getHasEndOffset());
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::EmbeddingBagByteRowwiseOffsetsNodeKind: {
  auto *N__ = llvm::cast<EmbeddingBagByteRowwiseOffsetsNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_EmbeddingBagByteRowwiseOffsets");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagByteRowwiseOffsetsNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagByteRowwiseOffsetsNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagByteRowwiseOffsetsNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getOffsets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagByteRowwiseOffsetsNode::OffsetsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, EmbeddingBagByteRowwiseOffsetsNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "UseFP16Accumulation", N__->getUseFP16Accumulation());
  addValueAttribute(opProto, "HasEndOffset", N__->getHasEndOffset());
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RowwiseQuantizedSparseLengthsWeightedSumNodeKind: {
  auto *N__ = llvm::cast<RowwiseQuantizedSparseLengthsWeightedSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_RowwiseQuantizedSparseLengthsWeightedSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getScales().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::ScalesIdx, /* isInput */ true);
  opProto->add_input(N__->getOffsets().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::OffsetsIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RowwiseQuantizedSparseLengthsWeightedSumNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "UseFP16Accumulation", N__->getUseFP16Accumulation());
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::FusedRowwiseQuantizedSparseLengthsWeightedSumNodeKind: {
  auto *N__ = llvm::cast<FusedRowwiseQuantizedSparseLengthsWeightedSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_FusedRowwiseQuantizedSparseLengthsWeightedSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsWeightedSumNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsWeightedSumNode::WeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsWeightedSumNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsWeightedSumNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsWeightedSumNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "UseFP16Accumulation", N__->getUseFP16Accumulation());
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::FusedRowwiseQuantizedSparseLengthsSumNodeKind: {
  auto *N__ = llvm::cast<FusedRowwiseQuantizedSparseLengthsSumNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_FusedRowwiseQuantizedSparseLengthsSum");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsSumNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsSumNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsSumNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FusedRowwiseQuantizedSparseLengthsSumNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "UseFP16Accumulation", N__->getUseFP16Accumulation());
  addValueAttribute(opProto, "LengthsMode", N__->getLengthsMode());
  addValueAttribute(opProto, "AvgLength", N__->getAvgLength());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LengthsToRangesNodeKind: {
  auto *N__ = llvm::cast<LengthsToRangesNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_LengthsToRanges");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsToRangesNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsToRangesNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::LengthsRangeFillNodeKind: {
  auto *N__ = llvm::cast<LengthsRangeFillNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_LengthsRangeFill");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsRangeFillNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, LengthsRangeFillNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SparseToDenseNodeKind: {
  auto *N__ = llvm::cast<SparseToDenseNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SparseToDense");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getValues().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseNode::ValuesIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SparseToDenseMaskNodeKind: {
  auto *N__ = llvm::cast<SparseToDenseMaskNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SparseToDenseMask");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseMaskNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getValues().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseMaskNode::ValuesIdx, /* isInput */ true);
  opProto->add_input(N__->getDefaultValue().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseMaskNode::DefaultValueIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseMaskNode::LengthsIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SparseToDenseMaskNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Mask", N__->getMask());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::IsNaNNodeKind: {
  auto *N__ = llvm::cast<IsNaNNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_IsNaN");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, IsNaNNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, IsNaNNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ReplaceNaNNodeKind: {
  auto *N__ = llvm::cast<ReplaceNaNNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ReplaceNaN");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReplaceNaNNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReplaceNaNNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Value", N__->getValue());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ModuloNodeKind: {
  auto *N__ = llvm::cast<ModuloNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Modulo");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ModuloNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ModuloNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Divisor", N__->getDivisor());
  addValueAttribute(opProto, "SignFollowDivisor", N__->getSignFollowDivisor());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchedPairwiseDotProductNodeKind: {
  auto *N__ = llvm::cast<BatchedPairwiseDotProductNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchedPairwiseDotProduct");
  opProto->set_name(N__->getName());
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedPairwiseDotProductNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Inputs", N__->getInputs());
  for (unsigned i = 0, e = N__->getInputs().size(); i < e; i++) {
    addTypeAttributes(opProto, N__->getInputs()[i], i, /* isInput */ true, "Inputs_");
  }
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchedPairwiseDotProductGradNodeKind: {
  auto *N__ = llvm::cast<BatchedPairwiseDotProductGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchedPairwiseDotProductGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getOutputGrad().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchedPairwiseDotProductGradNode::OutputGradIdx, /* isInput */ true);
  addValueAttribute(opProto, "OriginalInputs", N__->getOriginalInputs());
  for (unsigned i = 0, e = N__->getOriginalInputs().size(); i < e; i++) {
    addTypeAttributes(opProto, N__->getOriginalInputs()[i], i, /* isInput */ true, "OriginalInputs_");
  }
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ReluGradNodeKind: {
  auto *N__ = llvm::cast<ReluGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ReluGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReluGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReluGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReluGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReluGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ReluNodeKind: {
  auto *N__ = llvm::cast<ReluNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Relu");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReluNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReluNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ClipNodeKind: {
  auto *N__ = llvm::cast<ClipNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Clip");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ClipNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ClipNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Min", N__->getMin());
  addValueAttribute(opProto, "Max", N__->getMax());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::PReluNodeKind: {
  auto *N__ = llvm::cast<PReluNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_PRelu");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PReluNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getSlope().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PReluNode::SlopeIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, PReluNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SigmoidGradNodeKind: {
  auto *N__ = llvm::cast<SigmoidGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SigmoidGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SigmoidNodeKind: {
  auto *N__ = llvm::cast<SigmoidNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Sigmoid");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SigmoidNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SwishNodeKind: {
  auto *N__ = llvm::cast<SwishNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Swish");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SwishNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SwishNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TanhGradNodeKind: {
  auto *N__ = llvm::cast<TanhGradNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_TanhGrad");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TanhGradNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getOriginalOutputForResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TanhGradNode::OriginalOutputForResultIdx, /* isInput */ true);
  opProto->add_input(N__->getGradOfOriginalOutputNamedResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TanhGradNode::GradOfOriginalOutputNamedResultIdx, /* isInput */ true);
  opProto->add_output(N__->getGradOfInputNamedInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TanhGradNode::GradOfInputNamedInputIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TanhNodeKind: {
  auto *N__ = llvm::cast<TanhNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Tanh");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TanhNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TanhNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ReshapeNodeKind: {
  auto *N__ = llvm::cast<ReshapeNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Reshape");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReshapeNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ReshapeNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Dims", N__->getDims());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TransposeNodeKind: {
  auto *N__ = llvm::cast<TransposeNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Transpose");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TransposeNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TransposeNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Shuffle", N__->getShuffle());
  addValueAttribute(opProto, "Layout", N__->getLayout());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ConcatNodeKind: {
  auto *N__ = llvm::cast<ConcatNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Concat");
  opProto->set_name(N__->getName());
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConcatNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Inputs", N__->getInputs());
  for (unsigned i = 0, e = N__->getInputs().size(); i < e; i++) {
    addTypeAttributes(opProto, N__->getInputs()[i], i, /* isInput */ true, "Inputs_");
  }
  addValueAttribute(opProto, "Dim", N__->getDim());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SliceNodeKind: {
  auto *N__ = llvm::cast<SliceNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Slice");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SliceNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SliceNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Start", N__->getStart());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::InsertTensorNodeKind: {
  auto *N__ = llvm::cast<InsertTensorNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_InsertTensor");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getBig().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, InsertTensorNode::BigIdx, /* isInput */ true);
  opProto->add_input(N__->getSmall().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, InsertTensorNode::SmallIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, InsertTensorNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Start", N__->getStart());
  addValueAttribute(opProto, "Count", N__->getCount());
  addValueAttribute(opProto, "Axis", N__->getAxis());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::GatherNodeKind: {
  auto *N__ = llvm::cast<GatherNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Gather");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherNode::IndicesIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "BatchDims", N__->getBatchDims());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::GatherRangesNodeKind: {
  auto *N__ = llvm::cast<GatherRangesNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_GatherRanges");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherRangesNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getRanges().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherRangesNode::RangesIdx, /* isInput */ true);
  opProto->add_output(N__->getOutput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherRangesNode::OutputIdx, /* isInput */ false);
  opProto->add_output(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, GatherRangesNode::LengthsIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ScatterDataNodeKind: {
  auto *N__ = llvm::cast<ScatterDataNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ScatterData");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ScatterDataNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ScatterDataNode::IndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getSlices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ScatterDataNode::SlicesIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ScatterDataNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Cumulative", N__->getCumulative());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TileNodeKind: {
  auto *N__ = llvm::cast<TileNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Tile");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TileNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TileNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Count", N__->getCount());
  addValueAttribute(opProto, "Axis", N__->getAxis());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::BatchOneHotNodeKind: {
  auto *N__ = llvm::cast<BatchOneHotNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_BatchOneHot");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchOneHotNode::DataIdx, /* isInput */ true);
  opProto->add_input(N__->getLengths().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchOneHotNode::LengthsIdx, /* isInput */ true);
  opProto->add_input(N__->getValues().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchOneHotNode::ValuesIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, BatchOneHotNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SpaceToDepthNodeKind: {
  auto *N__ = llvm::cast<SpaceToDepthNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SpaceToDepth");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SpaceToDepthNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SpaceToDepthNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "BlockSize", N__->getBlockSize());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ResizeNearestNodeKind: {
  auto *N__ = llvm::cast<ResizeNearestNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ResizeNearest");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ResizeNearestNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ResizeNearestNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Scale", N__->getScale());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ResizeBilinearNodeKind: {
  auto *N__ = llvm::cast<ResizeBilinearNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ResizeBilinear");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ResizeBilinearNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ResizeBilinearNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Scale", N__->getScale());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::FlipNodeKind: {
  auto *N__ = llvm::cast<FlipNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Flip");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FlipNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, FlipNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Axis", N__->getAxis());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SplatNodeKind: {
  auto *N__ = llvm::cast<SplatNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Splat");
  opProto->set_name(N__->getName());
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SplatNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Value", N__->getValue());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TouchNodeKind: {
  auto *N__ = llvm::cast<TouchNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Touch");
  opProto->set_name(N__->getName());
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TouchNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::SGDNodeKind: {
  auto *N__ = llvm::cast<SGDNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_SGD");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getGradient().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SGDNode::GradientIdx, /* isInput */ true);
  opProto->add_input(N__->getWeight().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SGDNode::WeightIdx, /* isInput */ true);
  opProto->add_output(N__->getUpdatedWeight().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, SGDNode::UpdatedWeightIdx, /* isInput */ false);
  addValueAttribute(opProto, "L1Decay", N__->getL1Decay());
  addValueAttribute(opProto, "L2Decay", N__->getL2Decay());
  addValueAttribute(opProto, "LearningRate", N__->getLearningRate());
  addValueAttribute(opProto, "Momentum", N__->getMomentum());
  addValueAttribute(opProto, "BatchSize", N__->getBatchSize());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TraceEventNodeKind: {
  auto *N__ = llvm::cast<TraceEventNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_TraceEvent");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getData().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TraceEventNode::DataIdx, /* isInput */ true);
  addValueAttribute(opProto, "EventName", N__->getEventName());
  addValueAttribute(opProto, "EventType", N__->getEventType());
  addValueAttribute(opProto, "Index", N__->getIndex());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::QuantizationProfileNodeKind: {
  auto *N__ = llvm::cast<QuantizationProfileNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_QuantizationProfile");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, QuantizationProfileNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getHistogram().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, QuantizationProfileNode::HistogramIdx, /* isInput */ true);
  opProto->add_input(N__->getComputationInfo().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, QuantizationProfileNode::ComputationInfoIdx, /* isInput */ true);
  addValueAttribute(opProto, "ProfiledNodeName", N__->getProfiledNodeName());
  addValueAttribute(opProto, "ProfiledOutputNumber", N__->getProfiledOutputNumber());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::IntLookupTableNodeKind: {
  auto *N__ = llvm::cast<IntLookupTableNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_IntLookupTable");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, IntLookupTableNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getMapping().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, IntLookupTableNode::MappingIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, IntLookupTableNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::QuantizeNodeKind: {
  auto *N__ = llvm::cast<QuantizeNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Quantize");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, QuantizeNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, QuantizeNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::DequantizeNodeKind: {
  auto *N__ = llvm::cast<DequantizeNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_Dequantize");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DequantizeNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, DequantizeNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::RescaleQuantizedNodeKind: {
  auto *N__ = llvm::cast<RescaleQuantizedNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_RescaleQuantized");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RescaleQuantizedNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, RescaleQuantizedNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::TopKNodeKind: {
  auto *N__ = llvm::cast<TopKNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_TopK");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TopKNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getValues().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TopKNode::ValuesIdx, /* isInput */ false);
  opProto->add_output(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, TopKNode::IndicesIdx, /* isInput */ false);
  addValueAttribute(opProto, "K", N__->getK());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::ConvertToNodeKind: {
  auto *N__ = llvm::cast<ConvertToNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_ConvertTo");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvertToNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, ConvertToNode::ResultIdx, /* isInput */ false);
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::AudioSpectrogramNodeKind: {
  auto *N__ = llvm::cast<AudioSpectrogramNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_AudioSpectrogram");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AudioSpectrogramNode::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getWindow().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AudioSpectrogramNode::WindowIdx, /* isInput */ true);
  opProto->add_input(N__->getTwiddleFactors().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AudioSpectrogramNode::TwiddleFactorsIdx, /* isInput */ true);
  opProto->add_input(N__->getBitReverseIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AudioSpectrogramNode::BitReverseIndicesIdx, /* isInput */ true);
  opProto->add_input(N__->getComplexToRealWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AudioSpectrogramNode::ComplexToRealWeightsIdx, /* isInput */ true);
  opProto->add_output(N__->getSpectrogram().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, AudioSpectrogramNode::SpectrogramIdx, /* isInput */ false);
  addValueAttribute(opProto, "WindowSize", N__->getWindowSize());
  addValueAttribute(opProto, "WindowStride", N__->getWindowStride());
  addValueAttribute(opProto, "MagnitudeSquared", N__->getMagnitudeSquared());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::MFCCNodeKind: {
  auto *N__ = llvm::cast<MFCCNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_MFCC");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getSpectrogram().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MFCCNode::SpectrogramIdx, /* isInput */ true);
  opProto->add_input(N__->getMelWeights().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MFCCNode::MelWeightsIdx, /* isInput */ true);
  opProto->add_input(N__->getMelRanges().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MFCCNode::MelRangesIdx, /* isInput */ true);
  opProto->add_input(N__->getDctMat().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MFCCNode::DctMatIdx, /* isInput */ true);
  opProto->add_output(N__->getCoefficients().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, MFCCNode::CoefficientsIdx, /* isInput */ false);
  addValueAttribute(opProto, "SampleRate", N__->getSampleRate());
  addValueAttribute(opProto, "LowerFrequency", N__->getLowerFrequency());
  addValueAttribute(opProto, "UpperFrequency", N__->getUpperFrequency());
  addValueAttribute(opProto, "FilterBankCount", N__->getFilterBankCount());
  addValueAttribute(opProto, "NumCoefficients", N__->getNumCoefficients());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::NonMaxSuppressionNodeKind: {
  auto *N__ = llvm::cast<NonMaxSuppressionNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_NonMaxSuppression");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getBoxes().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NonMaxSuppressionNode::BoxesIdx, /* isInput */ true);
  opProto->add_input(N__->getScores().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NonMaxSuppressionNode::ScoresIdx, /* isInput */ true);
  opProto->add_output(N__->getIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NonMaxSuppressionNode::IndicesIdx, /* isInput */ false);
  opProto->add_output(N__->getNumberOfSelectedIndices().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, NonMaxSuppressionNode::NumberOfSelectedIndicesIdx, /* isInput */ false);
  addValueAttribute(opProto, "CenterPointBox", N__->getCenterPointBox());
  addValueAttribute(opProto, "MaxOutputBoxesPerClass", N__->getMaxOutputBoxesPerClass());
  addValueAttribute(opProto, "IouThreshold", N__->getIouThreshold());
  addValueAttribute(opProto, "ScoreThreshold", N__->getScoreThreshold());
  addValueAttribute(opProto, "IsTFVersion4", N__->getIsTFVersion4());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CPUMaxSplatNodeKind: {
  auto *N__ = llvm::cast<CPUMaxSplatNode>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CPUMaxSplat");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CPUMaxSplatNode::InputIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CPUMaxSplatNode::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "SplatValue", N__->getSplatValue());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

case glow::Kinded::Kind::CPUConvDKKC8NodeKind: {
  auto *N__ = llvm::cast<CPUConvDKKC8Node>(node);
  opProto = graph.add_node();
  opProto->set_op_type("Glow_CPUConvDKKC8");
  opProto->set_name(N__->getName());
  opProto->add_input(N__->getInput().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CPUConvDKKC8Node::InputIdx, /* isInput */ true);
  opProto->add_input(N__->getFilter().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CPUConvDKKC8Node::FilterIdx, /* isInput */ true);
  opProto->add_input(N__->getBias().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CPUConvDKKC8Node::BiasIdx, /* isInput */ true);
  opProto->add_output(N__->getResult().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  addTypeAttributes(opProto, N__, CPUConvDKKC8Node::ResultIdx, /* isInput */ false);
  addValueAttribute(opProto, "Kernels", N__->getKernels());
  addValueAttribute(opProto, "Strides", N__->getStrides());
  addValueAttribute(opProto, "Pads", N__->getPads());
  addValueAttribute(opProto, "Group", N__->getGroup());
  if (N__->hasPredicate()) {
    addValueAttribute(opProto, "Predicate",  N__->getPredicate().generateNodeOutputName(/* stripResNoFor0thInput */ true));
  }
  break;
}

