if (typeName == "Glow_Pad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Mode;
  ASSIGN_VALUE_OR_RETURN_ERR(Mode, loadAttribute<unsigned_t>(dict.at("Mode"), *this));

  std::vector<int> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<int>>(dict.at("Pads"), *this));

  float Value;
  ASSIGN_VALUE_OR_RETURN_ERR(Value, loadAttribute<float>(dict.at("Value"), *this));

  PadNode *loadedNode = G_->addNode(new PadNode(opName, ResultOutTy, Input, Mode, Pads, Value));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ConvolutionGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(3)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(4)));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  unsigned_t Dilation;
  ASSIGN_VALUE_OR_RETURN_ERR(Dilation, loadAttribute<unsigned_t>(dict.at("Dilation"), *this));

  glow::ConvolutionLayout Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<glow::ConvolutionLayout>(dict.at("Layout"), *this));

  glow::FusedActivation FusedActivation;
  ASSIGN_VALUE_OR_RETURN_ERR(FusedActivation, loadAttribute<glow::FusedActivation>(dict.at("FusedActivation"), *this));

  ConvolutionGradNode *loadedNode = G_->addNode(new ConvolutionGradNode(opName, Input, Filter, Bias, OriginalOutputForResult, GradOfOriginalOutputNamedResult, Kernels, Strides, Pads, Group, Dilation, Layout, FusedActivation));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Convolution") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  unsigned_t Dilation;
  ASSIGN_VALUE_OR_RETURN_ERR(Dilation, loadAttribute<unsigned_t>(dict.at("Dilation"), *this));

  glow::ConvolutionLayout Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<glow::ConvolutionLayout>(dict.at("Layout"), *this));

  glow::FusedActivation FusedActivation;
  ASSIGN_VALUE_OR_RETURN_ERR(FusedActivation, loadAttribute<glow::FusedActivation>(dict.at("FusedActivation"), *this));

  ConvolutionNode *loadedNode = G_->addNode(new ConvolutionNode(opName, ResultOutTy, Input, Filter, Bias, Kernels, Strides, Pads, Group, Dilation, Layout, FusedActivation));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ChannelwiseQuantizedConvolution") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  NodeValue FilterScales;
  ASSIGN_VALUE_OR_RETURN_ERR(FilterScales, getNodeValueByName(op.input(3)));

  NodeValue FilterOffsets;
  ASSIGN_VALUE_OR_RETURN_ERR(FilterOffsets, getNodeValueByName(op.input(4)));

  NodeValue BiasScales;
  ASSIGN_VALUE_OR_RETURN_ERR(BiasScales, getNodeValueByName(op.input(5)));

  NodeValue BiasOffsets;
  ASSIGN_VALUE_OR_RETURN_ERR(BiasOffsets, getNodeValueByName(op.input(6)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  unsigned_t Dilation;
  ASSIGN_VALUE_OR_RETURN_ERR(Dilation, loadAttribute<unsigned_t>(dict.at("Dilation"), *this));

  ChannelwiseQuantizedConvolutionNode *loadedNode = G_->addNode(new ChannelwiseQuantizedConvolutionNode(opName, ResultOutTy, Input, Filter, Bias, FilterScales, FilterOffsets, BiasScales, BiasOffsets, Kernels, Strides, Pads, Group, Dilation));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ConvTranspose") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  unsigned_t Dilation;
  ASSIGN_VALUE_OR_RETURN_ERR(Dilation, loadAttribute<unsigned_t>(dict.at("Dilation"), *this));

  ConvTransposeNode *loadedNode = G_->addNode(new ConvTransposeNode(opName, ResultOutTy, Input, Filter, Bias, Kernels, Strides, Pads, Group, Dilation));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Convolution3DGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(3)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(4)));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  Convolution3DGradNode *loadedNode = G_->addNode(new Convolution3DGradNode(opName, Input, Filter, Bias, OriginalOutputForResult, GradOfOriginalOutputNamedResult, Kernels, Strides, Pads, Group));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Convolution3D") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  Convolution3DNode *loadedNode = G_->addNode(new Convolution3DNode(opName, ResultOutTy, Input, Filter, Bias, Kernels, Strides, Pads, Group));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_MaxPoolGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  NodeValue OriginalOutputForArgmax;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForArgmax, getNodeValueByName(op.input(3)));

  NodeValue GradOfOriginalOutputNamedArgmax;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedArgmax, getNodeValueByName(op.input(4)));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<unsigned_t>(dict.at("Layout"), *this));

  MaxPoolGradNode *loadedNode = G_->addNode(new MaxPoolGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult, OriginalOutputForArgmax, GradOfOriginalOutputNamedArgmax, Kernels, Strides, Pads, Layout));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_MaxPool") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  TypeRef ArgmaxOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ArgmaxOutTy, loadTypeFromAttributes(1, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<unsigned_t>(dict.at("Layout"), *this));

  MaxPoolNode *loadedNode = G_->addNode(new MaxPoolNode(opName, ResultOutTy, ArgmaxOutTy, Input, Kernels, Strides, Pads, Layout));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ArgMax") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Axis;
  ASSIGN_VALUE_OR_RETURN_ERR(Axis, loadAttribute<unsigned_t>(dict.at("Axis"), *this));

  bool KeepDims;
  ASSIGN_VALUE_OR_RETURN_ERR(KeepDims, loadAttribute<bool>(dict.at("KeepDims"), *this));

  ArgMaxNode *loadedNode = G_->addNode(new ArgMaxNode(opName, ResultOutTy, Input, Axis, KeepDims));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ArgMin") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Axis;
  ASSIGN_VALUE_OR_RETURN_ERR(Axis, loadAttribute<unsigned_t>(dict.at("Axis"), *this));

  bool KeepDims;
  ASSIGN_VALUE_OR_RETURN_ERR(KeepDims, loadAttribute<bool>(dict.at("KeepDims"), *this));

  ArgMinNode *loadedNode = G_->addNode(new ArgMinNode(opName, ResultOutTy, Input, Axis, KeepDims));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_AvgPoolGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<unsigned_t>(dict.at("Layout"), *this));

  AvgPoolGradNode *loadedNode = G_->addNode(new AvgPoolGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult, Kernels, Strides, Pads, Layout));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_AvgPool") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<unsigned_t>(dict.at("Layout"), *this));

  AvgPoolNode *loadedNode = G_->addNode(new AvgPoolNode(opName, ResultOutTy, Input, Kernels, Strides, Pads, Layout));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_AdaptiveAvgPoolGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  AdaptiveAvgPoolGradNode *loadedNode = G_->addNode(new AdaptiveAvgPoolGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_AdaptiveAvgPool") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  AdaptiveAvgPoolNode *loadedNode = G_->addNode(new AdaptiveAvgPoolNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Gemm") {
  NodeValue A;
  ASSIGN_VALUE_OR_RETURN_ERR(A, getNodeValueByName(op.input(0)));

  NodeValue B;
  ASSIGN_VALUE_OR_RETURN_ERR(B, getNodeValueByName(op.input(1)));

  NodeValue C;
  ASSIGN_VALUE_OR_RETURN_ERR(C, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  float Alpha;
  ASSIGN_VALUE_OR_RETURN_ERR(Alpha, loadAttribute<float>(dict.at("Alpha"), *this));

  float Beta;
  ASSIGN_VALUE_OR_RETURN_ERR(Beta, loadAttribute<float>(dict.at("Beta"), *this));

  bool TransposeA;
  ASSIGN_VALUE_OR_RETURN_ERR(TransposeA, loadAttribute<bool>(dict.at("TransposeA"), *this));

  bool TransposeB;
  ASSIGN_VALUE_OR_RETURN_ERR(TransposeB, loadAttribute<bool>(dict.at("TransposeB"), *this));

  GemmNode *loadedNode = G_->addNode(new GemmNode(opName, ResultOutTy, A, B, C, Alpha, Beta, TransposeA, TransposeB));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_FullyConnectedGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(3)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(4)));

  FullyConnectedGradNode *loadedNode = G_->addNode(new FullyConnectedGradNode(opName, Input, Weights, Bias, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_FullyConnected") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  FullyConnectedNode *loadedNode = G_->addNode(new FullyConnectedNode(opName, ResultOutTy, Input, Weights, Bias));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_RowwiseQuantizedFullyConnected") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Scales;
  ASSIGN_VALUE_OR_RETURN_ERR(Scales, getNodeValueByName(op.input(2)));

  NodeValue Offsets;
  ASSIGN_VALUE_OR_RETURN_ERR(Offsets, getNodeValueByName(op.input(3)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(4)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  RowwiseQuantizedFullyConnectedNode *loadedNode = G_->addNode(new RowwiseQuantizedFullyConnectedNode(opName, ResultOutTy, Input, Weights, Scales, Offsets, Bias));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchNormalizationGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Scale;
  ASSIGN_VALUE_OR_RETURN_ERR(Scale, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  NodeValue Mean;
  ASSIGN_VALUE_OR_RETURN_ERR(Mean, getNodeValueByName(op.input(3)));

  NodeValue Var;
  ASSIGN_VALUE_OR_RETURN_ERR(Var, getNodeValueByName(op.input(4)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(5)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(6)));

  unsigned_t ChannelIdx;
  ASSIGN_VALUE_OR_RETURN_ERR(ChannelIdx, loadAttribute<unsigned_t>(dict.at("ChannelIdx"), *this));

  float Epsilon;
  ASSIGN_VALUE_OR_RETURN_ERR(Epsilon, loadAttribute<float>(dict.at("Epsilon"), *this));

  float Momentum;
  ASSIGN_VALUE_OR_RETURN_ERR(Momentum, loadAttribute<float>(dict.at("Momentum"), *this));

  BatchNormalizationGradNode *loadedNode = G_->addNode(new BatchNormalizationGradNode(opName, Input, Scale, Bias, Mean, Var, OriginalOutputForResult, GradOfOriginalOutputNamedResult, ChannelIdx, Epsilon, Momentum));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchNormalization") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Scale;
  ASSIGN_VALUE_OR_RETURN_ERR(Scale, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  NodeValue Mean;
  ASSIGN_VALUE_OR_RETURN_ERR(Mean, getNodeValueByName(op.input(3)));

  NodeValue Var;
  ASSIGN_VALUE_OR_RETURN_ERR(Var, getNodeValueByName(op.input(4)));

  unsigned_t ChannelIdx;
  ASSIGN_VALUE_OR_RETURN_ERR(ChannelIdx, loadAttribute<unsigned_t>(dict.at("ChannelIdx"), *this));

  float Epsilon;
  ASSIGN_VALUE_OR_RETURN_ERR(Epsilon, loadAttribute<float>(dict.at("Epsilon"), *this));

  float Momentum;
  ASSIGN_VALUE_OR_RETURN_ERR(Momentum, loadAttribute<float>(dict.at("Momentum"), *this));

  BatchNormalizationNode *loadedNode = G_->addNode(new BatchNormalizationNode(opName, Input, Scale, Bias, Mean, Var, ChannelIdx, Epsilon, Momentum));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_MeanVarNormalization") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Mean;
  ASSIGN_VALUE_OR_RETURN_ERR(Mean, getNodeValueByName(op.input(1)));

  NodeValue Var;
  ASSIGN_VALUE_OR_RETURN_ERR(Var, getNodeValueByName(op.input(2)));

  unsigned_t ChannelIdx;
  ASSIGN_VALUE_OR_RETURN_ERR(ChannelIdx, loadAttribute<unsigned_t>(dict.at("ChannelIdx"), *this));

  float Momentum;
  ASSIGN_VALUE_OR_RETURN_ERR(Momentum, loadAttribute<float>(dict.at("Momentum"), *this));

  MeanVarNormalizationNode *loadedNode = G_->addNode(new MeanVarNormalizationNode(opName, Input, Mean, Var, ChannelIdx, Momentum));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_LocalResponseNormalizationGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  unsigned_t HalfWindowSize;
  ASSIGN_VALUE_OR_RETURN_ERR(HalfWindowSize, loadAttribute<unsigned_t>(dict.at("HalfWindowSize"), *this));

  float Alpha;
  ASSIGN_VALUE_OR_RETURN_ERR(Alpha, loadAttribute<float>(dict.at("Alpha"), *this));

  float Beta;
  ASSIGN_VALUE_OR_RETURN_ERR(Beta, loadAttribute<float>(dict.at("Beta"), *this));

  float K;
  ASSIGN_VALUE_OR_RETURN_ERR(K, loadAttribute<float>(dict.at("K"), *this));

  LocalResponseNormalizationGradNode *loadedNode = G_->addNode(new LocalResponseNormalizationGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult, HalfWindowSize, Alpha, Beta, K));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_LocalResponseNormalization") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  unsigned_t HalfWindowSize;
  ASSIGN_VALUE_OR_RETURN_ERR(HalfWindowSize, loadAttribute<unsigned_t>(dict.at("HalfWindowSize"), *this));

  float Alpha;
  ASSIGN_VALUE_OR_RETURN_ERR(Alpha, loadAttribute<float>(dict.at("Alpha"), *this));

  float Beta;
  ASSIGN_VALUE_OR_RETURN_ERR(Beta, loadAttribute<float>(dict.at("Beta"), *this));

  float K;
  ASSIGN_VALUE_OR_RETURN_ERR(K, loadAttribute<float>(dict.at("K"), *this));

  LocalResponseNormalizationNode *loadedNode = G_->addNode(new LocalResponseNormalizationNode(opName, Input, HalfWindowSize, Alpha, Beta, K));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_LayerNormalization") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Scale;
  ASSIGN_VALUE_OR_RETURN_ERR(Scale, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  float Epsilon;
  ASSIGN_VALUE_OR_RETURN_ERR(Epsilon, loadAttribute<float>(dict.at("Epsilon"), *this));

  LayerNormalizationNode *loadedNode = G_->addNode(new LayerNormalizationNode(opName, Input, Scale, Bias, Epsilon));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchBoxCox") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Lambda1;
  ASSIGN_VALUE_OR_RETURN_ERR(Lambda1, getNodeValueByName(op.input(1)));

  NodeValue Lambda2;
  ASSIGN_VALUE_OR_RETURN_ERR(Lambda2, getNodeValueByName(op.input(2)));

  float Epsilon;
  ASSIGN_VALUE_OR_RETURN_ERR(Epsilon, loadAttribute<float>(dict.at("Epsilon"), *this));

  BatchBoxCoxNode *loadedNode = G_->addNode(new BatchBoxCoxNode(opName, Input, Lambda1, Lambda2, Epsilon));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Bucketize") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<float> Boundaries;
  ASSIGN_VALUE_OR_RETURN_ERR(Boundaries, loadAttribute<std::vector<float>>(dict.at("Boundaries"), *this));

  BucketizeNode *loadedNode = G_->addNode(new BucketizeNode(opName, ResultOutTy, Input, Boundaries));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SoftMaxGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Selected;
  ASSIGN_VALUE_OR_RETURN_ERR(Selected, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(3)));

  SoftMaxGradNode *loadedNode = G_->addNode(new SoftMaxGradNode(opName, Input, Selected, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SoftMax") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Selected;
  ASSIGN_VALUE_OR_RETURN_ERR(Selected, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SoftMaxNode *loadedNode = G_->addNode(new SoftMaxNode(opName, ResultOutTy, Input, Selected));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CrossEntropyLossGrad") {
  NodeValue P;
  ASSIGN_VALUE_OR_RETURN_ERR(P, getNodeValueByName(op.input(0)));

  NodeValue Labels;
  ASSIGN_VALUE_OR_RETURN_ERR(Labels, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForCE;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForCE, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedCE;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedCE, getNodeValueByName(op.input(3)));

  CrossEntropyLossGradNode *loadedNode = G_->addNode(new CrossEntropyLossGradNode(opName, P, Labels, OriginalOutputForCE, GradOfOriginalOutputNamedCE));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CrossEntropyLoss") {
  NodeValue P;
  ASSIGN_VALUE_OR_RETURN_ERR(P, getNodeValueByName(op.input(0)));

  NodeValue Labels;
  ASSIGN_VALUE_OR_RETURN_ERR(Labels, getNodeValueByName(op.input(1)));

  TypeRef CEOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(CEOutTy, loadTypeFromAttributes(0, dict));

  CrossEntropyLossNode *loadedNode = G_->addNode(new CrossEntropyLossNode(opName, CEOutTy, P, Labels));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_RegressionGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Expected;
  ASSIGN_VALUE_OR_RETURN_ERR(Expected, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(3)));

  RegressionGradNode *loadedNode = G_->addNode(new RegressionGradNode(opName, Input, Expected, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Regression") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Expected;
  ASSIGN_VALUE_OR_RETURN_ERR(Expected, getNodeValueByName(op.input(1)));

  RegressionNode *loadedNode = G_->addNode(new RegressionNode(opName, Input, Expected));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SigmoidCrossEntropyWithLogits") {
  NodeValue Logits;
  ASSIGN_VALUE_OR_RETURN_ERR(Logits, getNodeValueByName(op.input(0)));

  NodeValue Targets;
  ASSIGN_VALUE_OR_RETURN_ERR(Targets, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SigmoidCrossEntropyWithLogitsNode *loadedNode = G_->addNode(new SigmoidCrossEntropyWithLogitsNode(opName, ResultOutTy, Logits, Targets));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_AddGrad") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(3)));

  AddGradNode *loadedNode = G_->addNode(new AddGradNode(opName, LHS, RHS, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Add") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  AddNode *loadedNode = G_->addNode(new AddNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_MulGrad") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(3)));

  MulGradNode *loadedNode = G_->addNode(new MulGradNode(opName, LHS, RHS, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Mul") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  MulNode *loadedNode = G_->addNode(new MulNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SubGrad") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(3)));

  SubGradNode *loadedNode = G_->addNode(new SubGradNode(opName, LHS, RHS, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Sub") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SubNode *loadedNode = G_->addNode(new SubNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_DivGrad") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(2)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(3)));

  DivGradNode *loadedNode = G_->addNode(new DivGradNode(opName, LHS, RHS, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Div") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  DivNode *loadedNode = G_->addNode(new DivNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Max") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  MaxNode *loadedNode = G_->addNode(new MaxNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Min") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  MinNode *loadedNode = G_->addNode(new MinNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CmpEQ") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  CmpEQNode *loadedNode = G_->addNode(new CmpEQNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CmpNEQ") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  CmpNEQNode *loadedNode = G_->addNode(new CmpNEQNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CmpLT") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  CmpLTNode *loadedNode = G_->addNode(new CmpLTNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CmpLTE") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  CmpLTENode *loadedNode = G_->addNode(new CmpLTENode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Pow") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  PowNode *loadedNode = G_->addNode(new PowNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_And") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  AndNode *loadedNode = G_->addNode(new AndNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Or") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  OrNode *loadedNode = G_->addNode(new OrNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Xor") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  XorNode *loadedNode = G_->addNode(new XorNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Not") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  NotNode *loadedNode = G_->addNode(new NotNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Neg") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  NegNode *loadedNode = G_->addNode(new NegNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Abs") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  AbsNode *loadedNode = G_->addNode(new AbsNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Floor") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  FloorNode *loadedNode = G_->addNode(new FloorNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Ceil") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  CeilNode *loadedNode = G_->addNode(new CeilNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Round") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  RoundNode *loadedNode = G_->addNode(new RoundNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Sqrt") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SqrtNode *loadedNode = G_->addNode(new SqrtNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Rsqrt") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  RsqrtNode *loadedNode = G_->addNode(new RsqrtNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Reciprocal") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  ReciprocalNode *loadedNode = G_->addNode(new ReciprocalNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Sin") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SinNode *loadedNode = G_->addNode(new SinNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Cos") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  CosNode *loadedNode = G_->addNode(new CosNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Log") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  LogNode *loadedNode = G_->addNode(new LogNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Exp") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  ExpNode *loadedNode = G_->addNode(new ExpNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Logit") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  float Epsilon;
  ASSIGN_VALUE_OR_RETURN_ERR(Epsilon, loadAttribute<float>(dict.at("Epsilon"), *this));

  LogitNode *loadedNode = G_->addNode(new LogitNode(opName, ResultOutTy, Input, Epsilon));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Select") {
  NodeValue Cond;
  ASSIGN_VALUE_OR_RETURN_ERR(Cond, getNodeValueByName(op.input(0)));

  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(1)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SelectNode *loadedNode = G_->addNode(new SelectNode(opName, ResultOutTy, Cond, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchedAdd") {
  NodeValue Batch;
  ASSIGN_VALUE_OR_RETURN_ERR(Batch, getNodeValueByName(op.input(0)));

  NodeValue Slice;
  ASSIGN_VALUE_OR_RETURN_ERR(Slice, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  BatchedAddNode *loadedNode = G_->addNode(new BatchedAddNode(opName, ResultOutTy, Batch, Slice));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_MatMul") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  MatMulNode *loadedNode = G_->addNode(new MatMulNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchMatMul") {
  NodeValue LHS;
  ASSIGN_VALUE_OR_RETURN_ERR(LHS, getNodeValueByName(op.input(0)));

  NodeValue RHS;
  ASSIGN_VALUE_OR_RETURN_ERR(RHS, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  BatchMatMulNode *loadedNode = G_->addNode(new BatchMatMulNode(opName, ResultOutTy, LHS, RHS));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchedReduceAdd") {
  NodeValue Batch;
  ASSIGN_VALUE_OR_RETURN_ERR(Batch, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Axis;
  ASSIGN_VALUE_OR_RETURN_ERR(Axis, loadAttribute<unsigned_t>(dict.at("Axis"), *this));

  BatchedReduceAddNode *loadedNode = G_->addNode(new BatchedReduceAddNode(opName, ResultOutTy, Batch, Axis));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchedReduceMean") {
  NodeValue Batch;
  ASSIGN_VALUE_OR_RETURN_ERR(Batch, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Axes;
  ASSIGN_VALUE_OR_RETURN_ERR(Axes, loadAttribute<std::vector<unsigned_t>>(dict.at("Axes"), *this));

  BatchedReduceMeanNode *loadedNode = G_->addNode(new BatchedReduceMeanNode(opName, ResultOutTy, Batch, Axes));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchedReduceMin") {
  NodeValue Batch;
  ASSIGN_VALUE_OR_RETURN_ERR(Batch, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Axes;
  ASSIGN_VALUE_OR_RETURN_ERR(Axes, loadAttribute<std::vector<unsigned_t>>(dict.at("Axes"), *this));

  BatchedReduceMinNode *loadedNode = G_->addNode(new BatchedReduceMinNode(opName, ResultOutTy, Batch, Axes));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ChannelShuffle") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  unsigned_t Kernel;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernel, loadAttribute<unsigned_t>(dict.at("Kernel"), *this));

  ChannelShuffleNode *loadedNode = G_->addNode(new ChannelShuffleNode(opName, ResultOutTy, Input, Group, Kernel));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CumSum") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Exclusive;
  ASSIGN_VALUE_OR_RETURN_ERR(Exclusive, loadAttribute<unsigned_t>(dict.at("Exclusive"), *this));

  unsigned_t Reverse;
  ASSIGN_VALUE_OR_RETURN_ERR(Reverse, loadAttribute<unsigned_t>(dict.at("Reverse"), *this));

  CumSumNode *loadedNode = G_->addNode(new CumSumNode(opName, ResultOutTy, Input, Exclusive, Reverse));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_LengthsSum") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  LengthsSumNode *loadedNode = G_->addNode(new LengthsSumNode(opName, ResultOutTy, Data, Lengths));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SparseLengthsSumGrad") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(1)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(2)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(3)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(4)));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  SparseLengthsSumGradNode *loadedNode = G_->addNode(new SparseLengthsSumGradNode(opName, Data, Indices, Lengths, OriginalOutputForResult, GradOfOriginalOutputNamedResult, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SparseLengthsSum") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(1)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  SparseLengthsSumNode *loadedNode = G_->addNode(new SparseLengthsSumNode(opName, ResultOutTy, Data, Indices, Lengths, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SparseLengthsWeightedSumGrad") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(2)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(3)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(4)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(5)));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  SparseLengthsWeightedSumGradNode *loadedNode = G_->addNode(new SparseLengthsWeightedSumGradNode(opName, Data, Weights, Indices, Lengths, OriginalOutputForResult, GradOfOriginalOutputNamedResult, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SparseLengthsWeightedSum") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(2)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(3)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  SparseLengthsWeightedSumNode *loadedNode = G_->addNode(new SparseLengthsWeightedSumNode(opName, ResultOutTy, Data, Weights, Indices, Lengths, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_EmbeddingBag") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(2)));

  NodeValue Offsets;
  ASSIGN_VALUE_OR_RETURN_ERR(Offsets, getNodeValueByName(op.input(3)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  bool HasEndOffset;
  ASSIGN_VALUE_OR_RETURN_ERR(HasEndOffset, loadAttribute<bool>(dict.at("HasEndOffset"), *this));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  EmbeddingBagNode *loadedNode = G_->addNode(new EmbeddingBagNode(opName, ResultOutTy, Data, Weights, Indices, Offsets, HasEndOffset, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_EmbeddingBagByteRowwiseOffsets") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(2)));

  NodeValue Offsets;
  ASSIGN_VALUE_OR_RETURN_ERR(Offsets, getNodeValueByName(op.input(3)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  bool UseFP16Accumulation;
  ASSIGN_VALUE_OR_RETURN_ERR(UseFP16Accumulation, loadAttribute<bool>(dict.at("UseFP16Accumulation"), *this));

  bool HasEndOffset;
  ASSIGN_VALUE_OR_RETURN_ERR(HasEndOffset, loadAttribute<bool>(dict.at("HasEndOffset"), *this));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  EmbeddingBagByteRowwiseOffsetsNode *loadedNode = G_->addNode(new EmbeddingBagByteRowwiseOffsetsNode(opName, ResultOutTy, Data, Weights, Indices, Offsets, UseFP16Accumulation, HasEndOffset, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_RowwiseQuantizedSparseLengthsWeightedSum") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Scales;
  ASSIGN_VALUE_OR_RETURN_ERR(Scales, getNodeValueByName(op.input(1)));

  NodeValue Offsets;
  ASSIGN_VALUE_OR_RETURN_ERR(Offsets, getNodeValueByName(op.input(2)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(3)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(4)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(5)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  bool UseFP16Accumulation;
  ASSIGN_VALUE_OR_RETURN_ERR(UseFP16Accumulation, loadAttribute<bool>(dict.at("UseFP16Accumulation"), *this));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  RowwiseQuantizedSparseLengthsWeightedSumNode *loadedNode = G_->addNode(new RowwiseQuantizedSparseLengthsWeightedSumNode(opName, ResultOutTy, Data, Scales, Offsets, Weights, Indices, Lengths, UseFP16Accumulation, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_FusedRowwiseQuantizedSparseLengthsWeightedSum") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Weights;
  ASSIGN_VALUE_OR_RETURN_ERR(Weights, getNodeValueByName(op.input(1)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(2)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(3)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  bool UseFP16Accumulation;
  ASSIGN_VALUE_OR_RETURN_ERR(UseFP16Accumulation, loadAttribute<bool>(dict.at("UseFP16Accumulation"), *this));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  FusedRowwiseQuantizedSparseLengthsWeightedSumNode *loadedNode = G_->addNode(new FusedRowwiseQuantizedSparseLengthsWeightedSumNode(opName, ResultOutTy, Data, Weights, Indices, Lengths, UseFP16Accumulation, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_FusedRowwiseQuantizedSparseLengthsSum") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(1)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  bool UseFP16Accumulation;
  ASSIGN_VALUE_OR_RETURN_ERR(UseFP16Accumulation, loadAttribute<bool>(dict.at("UseFP16Accumulation"), *this));

  glow::LengthsMode LengthsMode;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsMode, loadAttribute<glow::LengthsMode>(dict.at("LengthsMode"), *this));

  float AvgLength;
  ASSIGN_VALUE_OR_RETURN_ERR(AvgLength, loadAttribute<float>(dict.at("AvgLength"), *this));

  FusedRowwiseQuantizedSparseLengthsSumNode *loadedNode = G_->addNode(new FusedRowwiseQuantizedSparseLengthsSumNode(opName, ResultOutTy, Data, Indices, Lengths, UseFP16Accumulation, LengthsMode, AvgLength));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_LengthsToRanges") {
  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  LengthsToRangesNode *loadedNode = G_->addNode(new LengthsToRangesNode(opName, ResultOutTy, Lengths));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_LengthsRangeFill") {
  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  LengthsRangeFillNode *loadedNode = G_->addNode(new LengthsRangeFillNode(opName, ResultOutTy, Lengths));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SparseToDense") {
  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(0)));

  NodeValue Values;
  ASSIGN_VALUE_OR_RETURN_ERR(Values, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SparseToDenseNode *loadedNode = G_->addNode(new SparseToDenseNode(opName, ResultOutTy, Indices, Values));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SparseToDenseMask") {
  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(0)));

  NodeValue Values;
  ASSIGN_VALUE_OR_RETURN_ERR(Values, getNodeValueByName(op.input(1)));

  NodeValue DefaultValue;
  ASSIGN_VALUE_OR_RETURN_ERR(DefaultValue, getNodeValueByName(op.input(2)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(3)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<dim_t> Mask;
  ASSIGN_VALUE_OR_RETURN_ERR(Mask, loadAttribute<std::vector<dim_t>>(dict.at("Mask"), *this));

  SparseToDenseMaskNode *loadedNode = G_->addNode(new SparseToDenseMaskNode(opName, ResultOutTy, Indices, Values, DefaultValue, Lengths, Mask));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_IsNaN") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  IsNaNNode *loadedNode = G_->addNode(new IsNaNNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ReplaceNaN") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  float Value;
  ASSIGN_VALUE_OR_RETURN_ERR(Value, loadAttribute<float>(dict.at("Value"), *this));

  ReplaceNaNNode *loadedNode = G_->addNode(new ReplaceNaNNode(opName, ResultOutTy, Input, Value));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Modulo") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  int64_t Divisor;
  ASSIGN_VALUE_OR_RETURN_ERR(Divisor, loadAttribute<int64_t>(dict.at("Divisor"), *this));

  bool SignFollowDivisor;
  ASSIGN_VALUE_OR_RETURN_ERR(SignFollowDivisor, loadAttribute<bool>(dict.at("SignFollowDivisor"), *this));

  ModuloNode *loadedNode = G_->addNode(new ModuloNode(opName, ResultOutTy, Input, Divisor, SignFollowDivisor));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchedPairwiseDotProduct") {
  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<NodeValue> Inputs;
  ASSIGN_VALUE_OR_RETURN_ERR(Inputs, loadAttribute<std::vector<NodeValue>>(dict.at("Inputs"), *this));

  BatchedPairwiseDotProductNode *loadedNode = G_->addNode(new BatchedPairwiseDotProductNode(opName, ResultOutTy, Inputs));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchedPairwiseDotProductGrad") {
  NodeValue OutputGrad;
  ASSIGN_VALUE_OR_RETURN_ERR(OutputGrad, getNodeValueByName(op.input(0)));

  std::vector<NodeValue> OriginalInputs;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalInputs, loadAttribute<std::vector<NodeValue>>(dict.at("OriginalInputs"), *this));

  BatchedPairwiseDotProductGradNode *loadedNode = G_->addNode(new BatchedPairwiseDotProductGradNode(opName, OutputGrad, OriginalInputs));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ReluGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  ReluGradNode *loadedNode = G_->addNode(new ReluGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Relu") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  ReluNode *loadedNode = G_->addNode(new ReluNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Clip") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  float Min;
  ASSIGN_VALUE_OR_RETURN_ERR(Min, loadAttribute<float>(dict.at("Min"), *this));

  float Max;
  ASSIGN_VALUE_OR_RETURN_ERR(Max, loadAttribute<float>(dict.at("Max"), *this));

  ClipNode *loadedNode = G_->addNode(new ClipNode(opName, ResultOutTy, Input, Min, Max));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_PRelu") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Slope;
  ASSIGN_VALUE_OR_RETURN_ERR(Slope, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  PReluNode *loadedNode = G_->addNode(new PReluNode(opName, ResultOutTy, Input, Slope));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SigmoidGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  SigmoidGradNode *loadedNode = G_->addNode(new SigmoidGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Sigmoid") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SigmoidNode *loadedNode = G_->addNode(new SigmoidNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Swish") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  SwishNode *loadedNode = G_->addNode(new SwishNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_TanhGrad") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue OriginalOutputForResult;
  ASSIGN_VALUE_OR_RETURN_ERR(OriginalOutputForResult, getNodeValueByName(op.input(1)));

  NodeValue GradOfOriginalOutputNamedResult;
  ASSIGN_VALUE_OR_RETURN_ERR(GradOfOriginalOutputNamedResult, getNodeValueByName(op.input(2)));

  TanhGradNode *loadedNode = G_->addNode(new TanhGradNode(opName, Input, OriginalOutputForResult, GradOfOriginalOutputNamedResult));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Tanh") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  TanhNode *loadedNode = G_->addNode(new TanhNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Reshape") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<dim_t> Dims;
  ASSIGN_VALUE_OR_RETURN_ERR(Dims, loadAttribute<std::vector<dim_t>>(dict.at("Dims"), *this));

  std::string Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<std::string>(dict.at("Layout"), *this));

  ReshapeNode *loadedNode = G_->addNode(new ReshapeNode(opName, ResultOutTy, Input, Dims, Layout));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Transpose") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Shuffle;
  ASSIGN_VALUE_OR_RETURN_ERR(Shuffle, loadAttribute<std::vector<unsigned_t>>(dict.at("Shuffle"), *this));

  std::string Layout;
  ASSIGN_VALUE_OR_RETURN_ERR(Layout, loadAttribute<std::string>(dict.at("Layout"), *this));

  TransposeNode *loadedNode = G_->addNode(new TransposeNode(opName, ResultOutTy, Input, Shuffle, Layout));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Concat") {
  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<NodeValue> Inputs;
  ASSIGN_VALUE_OR_RETURN_ERR(Inputs, loadAttribute<std::vector<NodeValue>>(dict.at("Inputs"), *this));

  unsigned_t Dim;
  ASSIGN_VALUE_OR_RETURN_ERR(Dim, loadAttribute<unsigned_t>(dict.at("Dim"), *this));

  ConcatNode *loadedNode = G_->addNode(new ConcatNode(opName, ResultOutTy, Inputs, Dim));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Slice") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<dim_t> Start;
  ASSIGN_VALUE_OR_RETURN_ERR(Start, loadAttribute<std::vector<dim_t>>(dict.at("Start"), *this));

  SliceNode *loadedNode = G_->addNode(new SliceNode(opName, ResultOutTy, Input, Start));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_InsertTensor") {
  NodeValue Big;
  ASSIGN_VALUE_OR_RETURN_ERR(Big, getNodeValueByName(op.input(0)));

  NodeValue Small;
  ASSIGN_VALUE_OR_RETURN_ERR(Small, getNodeValueByName(op.input(1)));

  std::vector<dim_t> Start;
  ASSIGN_VALUE_OR_RETURN_ERR(Start, loadAttribute<std::vector<dim_t>>(dict.at("Start"), *this));

  unsigned_t Count;
  ASSIGN_VALUE_OR_RETURN_ERR(Count, loadAttribute<unsigned_t>(dict.at("Count"), *this));

  unsigned_t Axis;
  ASSIGN_VALUE_OR_RETURN_ERR(Axis, loadAttribute<unsigned_t>(dict.at("Axis"), *this));

  InsertTensorNode *loadedNode = G_->addNode(new InsertTensorNode(opName, Big, Small, Start, Count, Axis));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Gather") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t BatchDims;
  ASSIGN_VALUE_OR_RETURN_ERR(BatchDims, loadAttribute<unsigned_t>(dict.at("BatchDims"), *this));

  GatherNode *loadedNode = G_->addNode(new GatherNode(opName, ResultOutTy, Data, Indices, BatchDims));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_GatherRanges") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Ranges;
  ASSIGN_VALUE_OR_RETURN_ERR(Ranges, getNodeValueByName(op.input(1)));

  TypeRef OutputOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(OutputOutTy, loadTypeFromAttributes(0, dict));

  TypeRef LengthsOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(LengthsOutTy, loadTypeFromAttributes(1, dict));

  GatherRangesNode *loadedNode = G_->addNode(new GatherRangesNode(opName, OutputOutTy, LengthsOutTy, Data, Ranges));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ScatterData") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Indices;
  ASSIGN_VALUE_OR_RETURN_ERR(Indices, getNodeValueByName(op.input(1)));

  NodeValue Slices;
  ASSIGN_VALUE_OR_RETURN_ERR(Slices, getNodeValueByName(op.input(2)));

  bool Cumulative;
  ASSIGN_VALUE_OR_RETURN_ERR(Cumulative, loadAttribute<bool>(dict.at("Cumulative"), *this));

  ScatterDataNode *loadedNode = G_->addNode(new ScatterDataNode(opName, Data, Indices, Slices, Cumulative));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Tile") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Count;
  ASSIGN_VALUE_OR_RETURN_ERR(Count, loadAttribute<unsigned_t>(dict.at("Count"), *this));

  unsigned_t Axis;
  ASSIGN_VALUE_OR_RETURN_ERR(Axis, loadAttribute<unsigned_t>(dict.at("Axis"), *this));

  TileNode *loadedNode = G_->addNode(new TileNode(opName, ResultOutTy, Input, Count, Axis));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_BatchOneHot") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  NodeValue Lengths;
  ASSIGN_VALUE_OR_RETURN_ERR(Lengths, getNodeValueByName(op.input(1)));

  NodeValue Values;
  ASSIGN_VALUE_OR_RETURN_ERR(Values, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  BatchOneHotNode *loadedNode = G_->addNode(new BatchOneHotNode(opName, ResultOutTy, Data, Lengths, Values));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SpaceToDepth") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t BlockSize;
  ASSIGN_VALUE_OR_RETURN_ERR(BlockSize, loadAttribute<unsigned_t>(dict.at("BlockSize"), *this));

  SpaceToDepthNode *loadedNode = G_->addNode(new SpaceToDepthNode(opName, ResultOutTy, Input, BlockSize));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ResizeNearest") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<float> Scale;
  ASSIGN_VALUE_OR_RETURN_ERR(Scale, loadAttribute<std::vector<float>>(dict.at("Scale"), *this));

  ResizeNearestNode *loadedNode = G_->addNode(new ResizeNearestNode(opName, ResultOutTy, Input, Scale));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ResizeBilinear") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<float> Scale;
  ASSIGN_VALUE_OR_RETURN_ERR(Scale, loadAttribute<std::vector<float>>(dict.at("Scale"), *this));

  ResizeBilinearNode *loadedNode = G_->addNode(new ResizeBilinearNode(opName, ResultOutTy, Input, Scale));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Flip") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t Axis;
  ASSIGN_VALUE_OR_RETURN_ERR(Axis, loadAttribute<unsigned_t>(dict.at("Axis"), *this));

  FlipNode *loadedNode = G_->addNode(new FlipNode(opName, ResultOutTy, Input, Axis));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Splat") {
  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  float Value;
  ASSIGN_VALUE_OR_RETURN_ERR(Value, loadAttribute<float>(dict.at("Value"), *this));

  SplatNode *loadedNode = G_->addNode(new SplatNode(opName, ResultOutTy, Value));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Touch") {
  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  TouchNode *loadedNode = G_->addNode(new TouchNode(opName, ResultOutTy));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_SGD") {
  NodeValue Gradient;
  ASSIGN_VALUE_OR_RETURN_ERR(Gradient, getNodeValueByName(op.input(0)));

  NodeValue Weight;
  ASSIGN_VALUE_OR_RETURN_ERR(Weight, getNodeValueByName(op.input(1)));

  float L1Decay;
  ASSIGN_VALUE_OR_RETURN_ERR(L1Decay, loadAttribute<float>(dict.at("L1Decay"), *this));

  float L2Decay;
  ASSIGN_VALUE_OR_RETURN_ERR(L2Decay, loadAttribute<float>(dict.at("L2Decay"), *this));

  float LearningRate;
  ASSIGN_VALUE_OR_RETURN_ERR(LearningRate, loadAttribute<float>(dict.at("LearningRate"), *this));

  float Momentum;
  ASSIGN_VALUE_OR_RETURN_ERR(Momentum, loadAttribute<float>(dict.at("Momentum"), *this));

  unsigned_t BatchSize;
  ASSIGN_VALUE_OR_RETURN_ERR(BatchSize, loadAttribute<unsigned_t>(dict.at("BatchSize"), *this));

  SGDNode *loadedNode = G_->addNode(new SGDNode(opName, Gradient, Weight, L1Decay, L2Decay, LearningRate, Momentum, BatchSize));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_TraceEvent") {
  NodeValue Data;
  ASSIGN_VALUE_OR_RETURN_ERR(Data, getNodeValueByName(op.input(0)));

  std::string EventName;
  ASSIGN_VALUE_OR_RETURN_ERR(EventName, loadAttribute<std::string>(dict.at("EventName"), *this));

  std::string EventType;
  ASSIGN_VALUE_OR_RETURN_ERR(EventType, loadAttribute<std::string>(dict.at("EventType"), *this));

  unsigned_t Index;
  ASSIGN_VALUE_OR_RETURN_ERR(Index, loadAttribute<unsigned_t>(dict.at("Index"), *this));

  TraceEventNode *loadedNode = G_->addNode(new TraceEventNode(opName, Data, EventName, EventType, Index));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_QuantizationProfile") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Histogram;
  ASSIGN_VALUE_OR_RETURN_ERR(Histogram, getNodeValueByName(op.input(1)));

  NodeValue ComputationInfo;
  ASSIGN_VALUE_OR_RETURN_ERR(ComputationInfo, getNodeValueByName(op.input(2)));

  std::string ProfiledNodeName;
  ASSIGN_VALUE_OR_RETURN_ERR(ProfiledNodeName, loadAttribute<std::string>(dict.at("ProfiledNodeName"), *this));

  unsigned_t ProfiledOutputNumber;
  ASSIGN_VALUE_OR_RETURN_ERR(ProfiledOutputNumber, loadAttribute<unsigned_t>(dict.at("ProfiledOutputNumber"), *this));

  QuantizationProfileNode *loadedNode = G_->addNode(new QuantizationProfileNode(opName, Input, Histogram, ComputationInfo, ProfiledNodeName, ProfiledOutputNumber));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_IntLookupTable") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Mapping;
  ASSIGN_VALUE_OR_RETURN_ERR(Mapping, getNodeValueByName(op.input(1)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  IntLookupTableNode *loadedNode = G_->addNode(new IntLookupTableNode(opName, ResultOutTy, Input, Mapping));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Quantize") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  QuantizeNode *loadedNode = G_->addNode(new QuantizeNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_Dequantize") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  DequantizeNode *loadedNode = G_->addNode(new DequantizeNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_RescaleQuantized") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  RescaleQuantizedNode *loadedNode = G_->addNode(new RescaleQuantizedNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_TopK") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ValuesOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ValuesOutTy, loadTypeFromAttributes(0, dict));

  TypeRef IndicesOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(IndicesOutTy, loadTypeFromAttributes(1, dict));

  unsigned_t K;
  ASSIGN_VALUE_OR_RETURN_ERR(K, loadAttribute<unsigned_t>(dict.at("K"), *this));

  TopKNode *loadedNode = G_->addNode(new TopKNode(opName, ValuesOutTy, IndicesOutTy, Input, K));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_ConvertTo") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  ConvertToNode *loadedNode = G_->addNode(new ConvertToNode(opName, ResultOutTy, Input));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_AudioSpectrogram") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Window;
  ASSIGN_VALUE_OR_RETURN_ERR(Window, getNodeValueByName(op.input(1)));

  NodeValue TwiddleFactors;
  ASSIGN_VALUE_OR_RETURN_ERR(TwiddleFactors, getNodeValueByName(op.input(2)));

  NodeValue BitReverseIndices;
  ASSIGN_VALUE_OR_RETURN_ERR(BitReverseIndices, getNodeValueByName(op.input(3)));

  NodeValue ComplexToRealWeights;
  ASSIGN_VALUE_OR_RETURN_ERR(ComplexToRealWeights, getNodeValueByName(op.input(4)));

  TypeRef SpectrogramOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(SpectrogramOutTy, loadTypeFromAttributes(0, dict));

  unsigned_t WindowSize;
  ASSIGN_VALUE_OR_RETURN_ERR(WindowSize, loadAttribute<unsigned_t>(dict.at("WindowSize"), *this));

  unsigned_t WindowStride;
  ASSIGN_VALUE_OR_RETURN_ERR(WindowStride, loadAttribute<unsigned_t>(dict.at("WindowStride"), *this));

  bool MagnitudeSquared;
  ASSIGN_VALUE_OR_RETURN_ERR(MagnitudeSquared, loadAttribute<bool>(dict.at("MagnitudeSquared"), *this));

  AudioSpectrogramNode *loadedNode = G_->addNode(new AudioSpectrogramNode(opName, SpectrogramOutTy, Input, Window, TwiddleFactors, BitReverseIndices, ComplexToRealWeights, WindowSize, WindowStride, MagnitudeSquared));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_MFCC") {
  NodeValue Spectrogram;
  ASSIGN_VALUE_OR_RETURN_ERR(Spectrogram, getNodeValueByName(op.input(0)));

  NodeValue MelWeights;
  ASSIGN_VALUE_OR_RETURN_ERR(MelWeights, getNodeValueByName(op.input(1)));

  NodeValue MelRanges;
  ASSIGN_VALUE_OR_RETURN_ERR(MelRanges, getNodeValueByName(op.input(2)));

  NodeValue DctMat;
  ASSIGN_VALUE_OR_RETURN_ERR(DctMat, getNodeValueByName(op.input(3)));

  TypeRef CoefficientsOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(CoefficientsOutTy, loadTypeFromAttributes(0, dict));

  float SampleRate;
  ASSIGN_VALUE_OR_RETURN_ERR(SampleRate, loadAttribute<float>(dict.at("SampleRate"), *this));

  float LowerFrequency;
  ASSIGN_VALUE_OR_RETURN_ERR(LowerFrequency, loadAttribute<float>(dict.at("LowerFrequency"), *this));

  float UpperFrequency;
  ASSIGN_VALUE_OR_RETURN_ERR(UpperFrequency, loadAttribute<float>(dict.at("UpperFrequency"), *this));

  unsigned_t FilterBankCount;
  ASSIGN_VALUE_OR_RETURN_ERR(FilterBankCount, loadAttribute<unsigned_t>(dict.at("FilterBankCount"), *this));

  unsigned_t NumCoefficients;
  ASSIGN_VALUE_OR_RETURN_ERR(NumCoefficients, loadAttribute<unsigned_t>(dict.at("NumCoefficients"), *this));

  MFCCNode *loadedNode = G_->addNode(new MFCCNode(opName, CoefficientsOutTy, Spectrogram, MelWeights, MelRanges, DctMat, SampleRate, LowerFrequency, UpperFrequency, FilterBankCount, NumCoefficients));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_NonMaxSuppression") {
  NodeValue Boxes;
  ASSIGN_VALUE_OR_RETURN_ERR(Boxes, getNodeValueByName(op.input(0)));

  NodeValue Scores;
  ASSIGN_VALUE_OR_RETURN_ERR(Scores, getNodeValueByName(op.input(1)));

  TypeRef IndicesOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(IndicesOutTy, loadTypeFromAttributes(0, dict));

  TypeRef NumberOfSelectedIndicesOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(NumberOfSelectedIndicesOutTy, loadTypeFromAttributes(1, dict));

  unsigned_t CenterPointBox;
  ASSIGN_VALUE_OR_RETURN_ERR(CenterPointBox, loadAttribute<unsigned_t>(dict.at("CenterPointBox"), *this));

  unsigned_t MaxOutputBoxesPerClass;
  ASSIGN_VALUE_OR_RETURN_ERR(MaxOutputBoxesPerClass, loadAttribute<unsigned_t>(dict.at("MaxOutputBoxesPerClass"), *this));

  float IouThreshold;
  ASSIGN_VALUE_OR_RETURN_ERR(IouThreshold, loadAttribute<float>(dict.at("IouThreshold"), *this));

  float ScoreThreshold;
  ASSIGN_VALUE_OR_RETURN_ERR(ScoreThreshold, loadAttribute<float>(dict.at("ScoreThreshold"), *this));

  bool IsTFVersion4;
  ASSIGN_VALUE_OR_RETURN_ERR(IsTFVersion4, loadAttribute<bool>(dict.at("IsTFVersion4"), *this));

  NonMaxSuppressionNode *loadedNode = G_->addNode(new NonMaxSuppressionNode(opName, IndicesOutTy, NumberOfSelectedIndicesOutTy, Boxes, Scores, CenterPointBox, MaxOutputBoxesPerClass, IouThreshold, ScoreThreshold, IsTFVersion4));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CPUMaxSplat") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  float SplatValue;
  ASSIGN_VALUE_OR_RETURN_ERR(SplatValue, loadAttribute<float>(dict.at("SplatValue"), *this));

  CPUMaxSplatNode *loadedNode = G_->addNode(new CPUMaxSplatNode(opName, Input, SplatValue));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

if (typeName == "Glow_CPUConvDKKC8") {
  NodeValue Input;
  ASSIGN_VALUE_OR_RETURN_ERR(Input, getNodeValueByName(op.input(0)));

  NodeValue Filter;
  ASSIGN_VALUE_OR_RETURN_ERR(Filter, getNodeValueByName(op.input(1)));

  NodeValue Bias;
  ASSIGN_VALUE_OR_RETURN_ERR(Bias, getNodeValueByName(op.input(2)));

  TypeRef ResultOutTy;
  ASSIGN_VALUE_OR_RETURN_ERR(ResultOutTy, loadTypeFromAttributes(0, dict));

  std::vector<unsigned_t> Kernels;
  ASSIGN_VALUE_OR_RETURN_ERR(Kernels, loadAttribute<std::vector<unsigned_t>>(dict.at("Kernels"), *this));

  std::vector<unsigned_t> Strides;
  ASSIGN_VALUE_OR_RETURN_ERR(Strides, loadAttribute<std::vector<unsigned_t>>(dict.at("Strides"), *this));

  std::vector<unsigned_t> Pads;
  ASSIGN_VALUE_OR_RETURN_ERR(Pads, loadAttribute<std::vector<unsigned_t>>(dict.at("Pads"), *this));

  unsigned_t Group;
  ASSIGN_VALUE_OR_RETURN_ERR(Group, loadAttribute<unsigned_t>(dict.at("Group"), *this));

  CPUConvDKKC8Node *loadedNode = G_->addNode(new CPUConvDKKC8Node(opName, ResultOutTy, Input, Filter, Bias, Kernels, Strides, Pads, Group));

  if (dict.count("Predicate")) {
    NodeValue Predicate;
    ASSIGN_VALUE_OR_RETURN_ERR(Predicate, loadAttribute<NodeValue>(dict.at("Predicate"), *this));
    loadedNode->setPredicate(Predicate);
  }

  RETURN_IF_ERR(addNodeAsOutput(op, loadedNode));
  return loadedNode;
}

